if GetLocale() == "koKR" then
	ROB_FRAME_ROTATIONS_TT     = "Show Rotations"
	ROB_FRAME_OPTIONS_TT       = "Show Options"
	ROB_FRAME_CLOSE_TT         = "Close Rotation Builder Window"

	ROB_UI_TITLE               = "Rotation Builder"
	ROB_ADDON_NAME             = "RotationBuilder"
	ROB_UI_VERSION_LABEL       = "Version:"
	ROB_UI_RCOLUMNHEADER       = "Rotations"
	ROB_UI_RCOLUMNHEADER1      = "Lists"
	ROB_UI_CREATE              = "Create"
	ROB_UI_CREATE_TT           = "Create a new rotation"
	ROB_UI_MODIFY              = "Modify"
	ROB_UI_MODIFY_TT           = "Modify selected rotation"
	ROB_UI_SAVE                = "Save"
	ROB_UI_SAVE_TT             = "Save selected rotation"
	ROB_UI_DISCARD             = "Discard"
	ROB_UI_DISCARD_TT          = "Discard changes to selected rotation"
	ROB_UI_DELETE              = "Delete"
	ROB_UI_DELETE_TT           = "Delete selected rotation"
	ROB_UI_TOGGLE              = "Toggle Rotation Builder"
	ROB_UI_ROTATION_E1         = "No rotation setup for that key"
	ROB_UI_ROTATION_E2         = "Rotation not found"
	ROB_UI_INTERRUPTED_MSG     = "Interrupted:"
	ROB_UI_LDB_TT1             = "<Right Click> to open Rotation Builder"
	ROB_UI_LDB_TT2             = "<Left Click> to select a Rotation"

	ROB_UI_ACTION_COLUMN       = "Actions"
	ROB_UI_RN_LABEL            = "Rotation Name:"
	ROB_UI_RS_LABEL            = "Range Spell:"
	ROB_UI_RS_LABEL_TT         = "Input the name of the spell to use to check if you are in range of your target to show the out of range icon\n(This has no effect on rotation, only the out of range icon display)"
	ROB_UI_RKB_LABEL           = "Keybind"
	ROB_UI_RKB_LABEL_TT        = "Specify which key selects this rotation"

	ROB_UI_A_ADD               = "Add"
	ROB_UI_A_ADD_TT            = "Add new action to the rotation"
	ROB_UI_A_COPY              = "Copy"
	ROB_UI_A_COPY_TT           = "Copy the selected action to the clipboard"
	ROB_UI_A_PASTE             = "Paste"
	ROB_UI_A_PASTE_TT          = "Paste the copied action into the rotation"

	ROB_UI_IMPORT              = "Import"
	ROB_UI_IMPORT_TT           = "Import rotation"
	ROB_UI_IMPORT_MESSAGE      = "Press Ctrl+V to paste a rotation build that you've copied from another source here:"
	ROB_UI_IMPORT_ERROR1       = "Import failed no rotation name found"
	ROB_UI_IMPORT_ERROR2       = "Import failed because you already have this rotation"
	ROB_UI_IMPORT_ERROR3       = "Import failed because import string is not a Rotation Builder export"
	ROB_UI_IMPORT_SUCCESS      = "Import successful"
	ROB_UI_EXPORT              = "Export"
	ROB_UI_EXPORT_TT           = "Export rotation"
	ROB_UI_EXPORT_MESSAGE      = "Press Ctrl+C to copy the following rotation, and then press Ctrl+V to paste it later."
	ROB_UI_ADD_ACTION_CFAIL    = "Action names can not use these characters [ ] , ="
	ROB_UI_ADD_ROTATION_CFAIL  = "Rotation names can not use these characters [ ] ,"
	ROB_UI_OK_BUTTON           = "Ok"
	ROB_UI_CANCEL_BUTTON       = "Cancel"
	ROB_UI_CLOSE_BUTTON        = "Close"
	ROB_UI_ROTATION_TAB        = "Rotations"
	ROB_UI_SPELLLISTS_TAB      = "Spell Lists"
	ROB_UI_OPTIONS_TAB         = "Options"
	ROB_UI_PRESSKEY            = "Press Key"
	ROB_UI_KEYBIND             = "<keybind>"

	ROB_UI_S_ADD_TT            = "Add new spell to the list"
	ROB_UI_S_REMOVE_TT         = "Remove spell from list"
	ROB_UI_LN_LABEL            = "List Name:"
	ROB_UI_S_COLUMN            = "Spells"

	ROB_UI_AO_GENERAL_TAB      = "General"
	ROB_UI_AO_GENERAL_LABEL    = "General Options:"
	ROB_UI_AO_G_SPELLNAME_L    = "Spell Name or Inventory Slot:"
	ROB_UI_AO_G_SPELLNAME_TT   = "Input spellname or inventory slot\nExample1: |cFF00FF00Trinket0Slot|r for first trinket slot\nExample2: |cFF00FF00Trinket1Slot|r for second trinket slot\nExample3: |cFF00FF00HandsSlot|r\nExample4: |cFF00FF00Growl|r\nExample5: |cFF00FF00\50\54\52\57|r id for Growl"
	ROB_UI_AO_G_SID_VFAIL      = "Spell or Slot not found"
	ROB_UI_AO_G_KEYBIND_L      = "Keybind"
	ROB_UI_AO_G_KEYBIND_TT     = "Specify the keybind to display in the rotation icon\nNote; This is not an actual keybind and is used for display purposes only"
	ROB_UI_AO_G_GCD_L          = "GCD Spell:"
	ROB_UI_AO_G_GCD_TT         = "GCD Spell is used to get your global cooldown time with haste effects to check if the action is ready\nRule1: GCD spellname should be a spellname not used in the rotation\nRule2: Never use a GCD spellname that has any type of cooldown or special power requirement\nRule3: If you want to ignore cooldown checking for this action input |cFF00FF000|r\nRule4: If you leave this blank Rotation Builder will assume this action is ready if the cooldown is 1.5 seconds or less\nRecommended GCD Spells: |TInterface\\Icons\\Spell_Deathknight_ClassIcon:0:0|t|cFF00FF00\52\56\50\54\54|r |TInterface\\Icons\\INV_Misc_MonsterClaw_04:0:0|t|cFF00FF00\55\54\56|r |TInterface\\Icons\\Spell_Nature_FaerieFire:0:0|t|cFF00FF00\55\54\56|r |TInterface\\Icons\\INV_Weapon_Bow_07:0:0|t|cFF00FF00\49\52\54\50|r |TInterface\\Icons\\INV_Staff_13:0:0|t|cFF00FF00\52\55\53|r |TInterface\\Icons\\Spell_Holy_AuraOfLight:0:0|t|cFF00FF00\52\54\53|r |TInterface\\Icons\\INV_Staff_30:0:0|t|cFF00FF00\53\56\53|r |TInterface\\Icons\\INV_ThrowingKnife_04:0:0|t|cFF00FF00\53\57\51\56|r |TInterface\\Icons\\Spell_Nature_BloodLust:0:0|t|cFF00FF00\51\50\52|r |TInterface\\Icons\\Spell_Nature_FaerieFire:0:0|t|cFF00FF00\54\56\55|r |TInterface\\Icons\\INV_Sword_27:0:0|t|cFF00FF00\49\55\49\53|r"
	ROB_UI_AO_G_ICON_L         = "Icon:"
	ROB_UI_AO_G_ICON_TT        = "Input the spell name or spell id of the icon you want to display for this action\nIf left blank the spellname will be used"   
	ROB_UI_AO_G_NOTSPELL       = "Not a spell"
	ROB_UI_AO_G_NOTSPELL_TT    = "Ignore spell mana type checks and just use the keybind to perform the action\nCheck this when spellname=Trinket0Slot or HandsSlot"
	ROB_UI_AO_G_DEBUG          = "Debug"
	ROB_UI_AO_G_DEBUG_TT       = "Turn on debug for this spell"
	ROB_UI_AO_G_TOGGLE         = "Toggle:"
	ROB_UI_AO_G_TOGGLE_TT      = "Only display action when specified toggle is turned on"
	ROB_UI_AO_G_TICON_TT       = "Enter spell name or spell id of icon to display for this toggle"
	ROB_UI_AO_G_TOGGLEOFF_TT   = "Turn off toggle automatically after you cast the spell?"
	ROB_UI_AO_G_TOGGLEON_TT    = "Turn on toggle automatically when switching to this rotation?"
	ROB_UI_AO_G_RANGE          = "Range:"
	ROB_UI_AO_G_RANGE_TT       = "Only display action when it is in range of your target\nIf you specify a tint color the action will tint when out of range even without this checked"
	ROB_UI_AO_G_RANGEIB_TT     = "Input the name of the spell to use to check range\nIf this is left blank the spellname is used to check range\nExample1: |cFF00FF00Fireball|r to check if Fireball is in range and show OOR icon if not\nExample2: |cFF00FF00Fireball#1#0#0|r to check if Fireball is in range and show tinted red icon if not\nExample3: |cFF00FF00#0#0#1|r to check if spellname is in range and show tinted blue icon if not (#r#g#b)"
	ROB_UI_AO_G_DISABLE        = "Disable"
	ROB_UI_AO_G_DISABLE_TT     = "Temporarily disable this action so you dont have to delete it"
	ROB_UI_AO_G_DURATION       = "Wait to recast:"
	ROB_UI_AO_G_DURATION_TT    = "Wait specified seconds to display this action after you have casted it\nUseful for giving air born spells time to land before calculating next action"
	ROB_UI_AO_G_DURATIONIB_TT  = "Input the number of seconds to wait before redisplaying action"
	ROB_UI_AO_G_OOR            = "OOR:"
	ROB_UI_AO_G_OOR_TT         = "Only display action when specified spell is out of range of target"
	ROB_UI_AO_G_OORIB_TT       = "Input the name of the spell to check out of range"
	ROB_UI_AO_G_MOBCOUNT       = "MOB Count:"
	ROB_UI_AO_G_MOBCOUNT_TT    = "Only display action if there are this many mobs aggro'd"
	ROB_UI_AO_G_MOBCOUNTIB_TT  = "Input the number of mobs to check\nExample1: |cFF00FF00>=3|r means only display action when there are greater than or equal to 3 aggro'd mobs in the area"
	ROB_UI_AO_G_LASTCAST       = "Last casted:"
	ROB_UI_AO_G_LASTCAST_TT    = "Only display action if the last casted spell was this"
	ROB_UI_AO_G_LASTCASTIB_TT  = "Input the name of the last casted spell to check"
	ROB_UI_AO_G_MAXCASTS       = "Max sequential casts:"
	ROB_UI_AO_G_MAXCASTS_TT    = "Only display this action specified sequential times"
	ROB_UI_AO_G_MAXCASTSIB_TT  = "Input the number of casts allowed in succession"
	ROB_UI_AO_G_OTHERCD        = "Check other cooldown:"
	ROB_UI_AO_G_OTHERCD_TT     = "Only display this action when other cooldown specified passes check"
	ROB_UI_AO_G_OTHERCDNIB_TT  = "Input the name or spell id of the other cooldown to check"
	ROB_UI_AO_G_OTHERCDVIB_TT  = "Input the value of the other cooldown to check\nExample1: |cFF00FF00\60\51|r means only display action when other action has less than 3 seconds left\nExample2: |cFF00FF00>3|r means only display action when other action has more than 3 seconds left\nExample3: |cFF00FF00\60\61\51|r means only display action when other action has less than or equal to 3 seconds left\nExample4: |cFF00FF00=3|r means only display this action when other action has exactly 3 seconds left"
	ROB_UI_AO_G_BREAKCHAN      = "Interrupt Casting"
	ROB_UI_AO_G_BREAKCHAN_TT   = "Allow this action to be displayed while channeling or casting a spell"
	ROB_UI_AO_G_MOVING         = "Moving"
	ROB_UI_AO_G_MOVING_TT      = "Only display this action if player is moving"
	ROB_UI_AO_G_NMOVING        = "Not Moving"
	ROB_UI_AO_G_NMOVING_TT     = "Only display this action if player is not moving"
	ROB_UI_AO_G_GUNITPOWER     = "Generates Power:"
	ROB_UI_AO_G_GUNITPOWER_TT  = "Check this option if this action generates a type of power\nThis is used for calculating the next ready action"
	ROB_UI_AO_G_GUNITPOWER1_TT = "Input the type of power generated\n|cFF00FF000|r=MANA |cFF00FF001|r=RAGE |cFF00FF002|r=FOCUS |cFF00FF003|r=ENERGY |cFF00FF004|r=PET HAPPINESS\n|cFF00FF005|r=RUNES |cFF00FF006|r=RUNICPOWER |cFF00FF007|r=SOULSHARDS |cFF00FF008|r=ECLIPSE |cFF00FF009|r=HOLYPOWER"
	ROB_UI_AO_G_GUNITPOWER2_TT = "Input the amount of power generated\nExample1: |cFF00FF003|r\nExample2: |cFF00FF00\57\48%|r"
	ROB_UI_AO_G_COMBOP         = "Generates Combo Points:"
	ROB_UI_AO_G_COMBOP_TT      = "Check this option if this action generates combo points\nThis is used for calculating the next ready action"
	ROB_UI_AO_G_COMBOPIB_TT    = "Input the number of combo points generated\nExample: |cFF00FF002|r"
	ROB_UI_AO_G_BLOODR         = "Generates Blood Runes:"
	ROB_UI_AO_G_BLOODR_TT      = "Check this box if this action generates blood runes\nThis is used for calculating the next ready action"
	ROB_UI_AO_G_BLOODRIB_TT    = "Input the number of blood runes generated\nExample: |cFF00FF001|r"
	ROB_UI_AO_G_FROSTR         = "Generates Frost Runes:"
	ROB_UI_AO_G_FROSTR_TT      = "Check this option if this action generates frost runes\nThis is used for calculating the next ready action"
	ROB_UI_AO_G_FROSTRIB_TT    = "Input the number of frost runes generated\nExample: |cFF00FF001|r"
	ROB_UI_AO_G_UNHOLYR        = "Generates Unholy Runes:"
	ROB_UI_AO_G_UNHOLYR_TT     = "Check this option if this action generates unholy runes\nThis is used for calculating the next ready action"
	ROB_UI_AO_G_UNHOLYRIB_TT   = "Input the number of unholy runes generated\nExample: |cFF00FF001|r"
	ROB_UI_AO_G_DEATHR         = "Generates Death Runes:"
	ROB_UI_AO_G_DEATHR_TT      = "Check this option if this action generates death runes\nThis is used for calculating the next ready action"
	ROB_UI_AO_G_DEATHRIB_TT    = "Input the number of death runes generated\nExample: |cFF00FF001|r"


	ROB_UI_AO_PLAYER_TAB       = "Player"
	ROB_UI_AO_P_HP             = "HP:"
	ROB_UI_AO_P_HP_TT          = "Only display action when player meets specified hit points"
	ROB_UI_AO_P_HPIB_TT        = "Input the percent of player hit points to check\nExample1: |cFF00FF00\60\57\48%|r means only display this action when player is under 90% hitpoints\nExample2: |cFF00FF00>90%|r means only display this action when player is over 90% hitpoints\nExample3: |cFF00FF00\60\61\57\48%|r means only display this action when player is under or equal to 90% hitpoints\nExample4: |cFF00FF00>=90%|r means only display this action when player is over or equal to 90% hitpoints\nExample5: |cFF00FF00=90%|r means only display this action when player is at exactly 90% hitpoints"
	ROB_UI_AO_P_POISON         = "Poison"
	ROB_UI_AO_P_POISON_TT      = "Only display action when player has a poison debuff"
	ROB_UI_AO_P_MAGIC          = "Magic"
	ROB_UI_AO_P_MAGIC_TT       = "Only display action when player has a magic debuff"
	ROB_UI_AO_P_DISEASE        = "Disease"
	ROB_UI_AO_P_DISEASE_TT     = "Only display action when player has a disease debuff"
	ROB_UI_AO_P_CURSE          = "Curse"
	ROB_UI_AO_P_CURSE_TT       = "Only display action when player has a curse debuff"

	ROB_UI_AO_P_FIRETA         = "Active Fire:"
	ROB_UI_AO_P_FIRETA_TT      = "Only display action when specified fire totem is active"
	ROB_UI_AO_P_FIRETAIB_TT    = "Input the name or spell id of the fire totem\nExample1: |cFF00FF00Searing Totem|r\nExample2:|cFF00FF00 3599|r"
	ROB_UI_AO_P_FIRETI         = "Inactive Fire:"
	ROB_UI_AO_P_FIRETI_TT      = "Only display action when specified fire totem is inactive"
	ROB_UI_AO_P_FIRETIIB_TT    = "Input the name or spell id of the fire totem\nExample1: |cFF00FF00Searing Totem|r\nExample2:|cFF00FF00 3599|r"
	ROB_UI_AO_P_FIRETTL        = "Timeleft Fire:"
	ROB_UI_AO_P_FIRETTL_TT     = "Only display action when fire totem has specified timeleft"
	ROB_UI_AO_P_FIRETTLIB_TT   = "Input the name or spell id of the fire totem\nExample1: |cFF00FF00>=2|r means >= 2 seconds left\nExample2: |cFF00FF00\60=2.1|r means \60=2.1 seconds left\nExample3: |cFF00FF00=5|r means exactly 5 seconds left"

	ROB_UI_AO_P_EARTHTA        = "Active Earth:"
	ROB_UI_AO_P_EARTHTA_TT     = "Only display action when specified earth totem is active"
	ROB_UI_AO_P_EARTHTAIB_TT   = "Input the name or spell id of the earth totem\nExample1: |cFF00FF00Earthbind Totem|r\nExample2:|cFF00FF00 2484|r"
	ROB_UI_AO_P_EARTHTI        = "Inactive Earth:"
	ROB_UI_AO_P_EARTHTI_TT     = "Only display action when specified earth totem is inactive"
	ROB_UI_AO_P_EARTHTIIB_TT   = "Input the name or spell id of the earth totem\nExample1: |cFF00FF00Earthbind Totem|r\nExample2:|cFF00FF00 2484|r"
	ROB_UI_AO_P_EARTHTTL       = "Timeleft Earth:"
	ROB_UI_AO_P_EARTHTTL_TT    = "Only display action when earth totem has specified timeleft"
	ROB_UI_AO_P_EARTHTTLIB_TT  = "Input the name or spell id of the earth totem\nExample1: |cFF00FF00>=2|r means >= 2 seconds left\nExample2: |cFF00FF00\60=2.1|r means \60=2.1 seconds left\nExample3: |cFF00FF00=5|r means exactly 5 seconds left"

	ROB_UI_AO_P_WATERTA        = "Active Water:"
	ROB_UI_AO_P_WATERTA_TT     = "Only display action when specified water totem is active"
	ROB_UI_AO_P_WATERTAIB_TT   = "Input the name or spell id of the water totem\nExample1: |cFF00FF00Mana Tide Totem|r\nExample2:|cFF00FF00 16190|r"
	ROB_UI_AO_P_WATERTI        = "Inactive Water:"
	ROB_UI_AO_P_WATERTI_TT     = "Only display action when specified water totem is inactive"
	ROB_UI_AO_P_WATERTIIB_TT   = "Input the name or spell id of the water totem\nExample1: |cFF00FF00Mana Tide Totem|r\nExample2:|cFF00FF00 16190|r"
	ROB_UI_AO_P_WATERTTL       = "Timeleft Water:"
	ROB_UI_AO_P_WATERTTL_TT    = "Only display action when water totem has specified timeleft"
	ROB_UI_AO_P_WATERTTLIB_TT  = "Input the name or spell id of the water totem\nExample1: |cFF00FF00>=2|r means >= 2 seconds left\nExample2: |cFF00FF00\60=2.1|r means \60=2.1 seconds left\nExample3: |cFF00FF00=5|r means exactly 5 seconds left"

	ROB_UI_AO_P_AIRTA        = "Active Air:"
	ROB_UI_AO_P_AIRTA_TT     = "Only display action when specified air totem is active"
	ROB_UI_AO_P_AIRTAIB_TT   = "Input the name or spell id of the air totem\nExample1: |cFF00FF00Wrath of Air Totem|r\nExample2:|cFF00FF00 3738|r"
	ROB_UI_AO_P_AIRTI        = "Inactive Air:"
	ROB_UI_AO_P_AIRTI_TT     = "Only display action when specified air totem is inactive"
	ROB_UI_AO_P_AIRTIIB_TT   = "Input the name or spell id of the air totem\nExample1: |cFF00FF00Wrath of Air Totem|r\nExample2:|cFF00FF00 3738|r"
	ROB_UI_AO_P_AIRTTL       = "Timeleft Air:"
	ROB_UI_AO_P_AIRTTL_TT    = "Only display action when air totem has specified timeleft"
	ROB_UI_AO_P_AIRTTLIB_TT  = "Input the name or spell id of the air totem\nExample1: |cFF00FF00>=2|r means >= 2 seconds left\nExample2: |cFF00FF00\60=2.1|r means \60=2.1 seconds left\nExample3: |cFF00FF00=5|r means exactly 5 seconds left"



	ROB_UI_AO_P_POWER          = "Power:"
	ROB_UI_AO_P_POWER_TT       = "Only display action when player has the specified power"
	ROB_UI_AO_P_POWER1_TT      = "Input the type of unit power\n|cFF00FF000|r=MANA |cFF00FF001|r=RAGE |cFF00FF002|r=FOCUS |cFF00FF003|r=ENERGY |cFF00FF004|r=PET HAPPINESS\n|cFF00FF005|r=RUNES |cFF00FF006|r=RUNICPOWER |cFF00FF007|r=SOULSHARDS |cFF00FF008|r=ECLIPSE |cFF00FF009|r=HOLYPOWER"
	ROB_UI_AO_P_POWER2_TT      = "Input the amount of power required\nExample1: |cFF00FF00>20|r\nExample2: |cFF00FF00\60=20|r\nExample3: |cFF00FF00=20|r\nExample4: |cFF00FF00\60\57\48%|r"
	ROB_UI_AO_P_NEEDBUFF       = "Need Buff:"
	ROB_UI_AO_P_NEEDBUFF_TT    = "Only display action when player needs specified buff or buffs"
	ROB_UI_AO_P_NEEDBUFFIB_TT  = "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when player is missing 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when player is missing a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when player is missing a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when player is missing Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when player is missing both Earth Shield and Inner Fire"
	ROB_UI_AO_P_HAVEBUFF       = "Have Buff:"
	ROB_UI_AO_P_HAVEBUFF_TT    = "Only display action when player has the specified buff or buffs"
	ROB_UI_AO_P_HAVEBUFFIB_TT  = "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when player has 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when player has a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when player has a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when player has Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when player has both Earth Shield and Inner Fire"
	ROB_UI_AO_P_NEEDDB         = "Need Debuff:"
	ROB_UI_AO_P_NEEDDB_TT      = "Only display action when player is missing the specified debuff or debuffs"
	ROB_UI_AO_P_NEEDDBIB_TT    = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when player is missing the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when player is missing a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when player is missing a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when player is missing Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when player is missing both Dark Plague and Forbearance debuffs"
	ROB_UI_AO_P_HAVEDB         = "Have Debuff:"
	ROB_UI_AO_P_HAVEDB_TT      = "Only display action when player has the specified debuff or debuffs"
	ROB_UI_AO_P_HAVEDBIB_TT    = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when player has the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when player has a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when player has a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when player has Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when player has both Dark Plague and Forbearance debuffs"
	ROB_UI_AO_P_COMBOP         = "Combo Points:"
	ROB_UI_AO_P_COMBOP_TT      = "Only display action when I have specified combo points"
	ROB_UI_AO_P_COMBOPIB_TT    = "Input the number of combo points required\nExample1: |cFF00FF00>=2|r\nExample2: |cFF00FF00\60=2|r\nExample3: |cFF00FF00=2|r"
	ROB_UI_AO_P_ECLIPSE        = "Eclipse:"
	ROB_UI_AO_P_ECLIPSE_TT     = "Only display action when eclipse is heading towards specified direction"
	ROB_UI_AO_P_ECLIPSEIB_TT   = "Input the direction of the eclipse\nExample1: |cFF00FF00moon|r\nExample2: |cFF00FF00sun|r\nExample3: |cFF00FF00none|r"
	ROB_UI_AO_P_BLOODR         = "Blood:"
	ROB_UI_AO_P_BLOODR_TT      = "Only display action when player has specified blood runes"
	ROB_UI_AO_P_BLOODRIB_TT    = "Input the number of blood runes\nExample1: |cFF00FF00>1|r means only display this action when player has more than 1 blood rune\nExample2: |cFF00FF00\60\61\49|r means only display this action when player has less than or equal to 1 blood rune\nExample3: |cFF00FF00\62\61\49|r means only display this action when player has 1 or more blood runes"
	ROB_UI_AO_P_FROSTR         = "Frost:"
	ROB_UI_AO_P_FROSTR_TT      = "Only display action when player has specified frost runes"
	ROB_UI_AO_P_FROSTRIB_TT    = "Input the number of frost runes\nExample1: |cFF00FF00>1|r means only display this action when player has more than 1 frost rune\nExample2: |cFF00FF00\60\61\49|r means only display this action when player has less than or equal to 1 frost rune\nExample3: |cFF00FF00\62\61\49|r means only display this action when player has 1 or more frost runes"
	ROB_UI_AO_P_UNHOLYR        = "Unholy:"
	ROB_UI_AO_P_UNHOLYR_TT     = "Only display action when player has specified unholy runes"
	ROB_UI_AO_P_UNHOLYRIB_TT   = "Input the number of unholy runes\nExample1: |cFF00FF00>1|r means only display this action when player has more than 1 unholy rune\nExample2: |cFF00FF00\60\61\49|r means only display this action when player has less than or equal to 1 unholy rune\nExample3: |cFF00FF00\62\61\49|r means only display this action when player has 1 or more unholy runes"
	ROB_UI_AO_P_DEATHR         = "Death:"
	ROB_UI_AO_P_DEATHR_TT      = "Only display action when player has specified death runes"
	ROB_UI_AO_P_DEATHRIB_TT    = "Input the number of death runes\nExample1: |cFF00FF00>1|r means only display this action when player has more than 1 death rune\nExample2: |cFF00FF00\60\61\49|r means only display this action when player has less than or equal to 1 death rune\nExample3: |cFF00FF00\62\61\49|r means only display this action when player has 1 or more death runes"
	ROB_UI_AO_P_MHWE           = "Need MH Enchant:"
	ROB_UI_AO_P_MHWE_TT        = "Only display action when player needs specified main hand enchant"
	ROB_UI_AO_P_MHWEIB_TT      = "Input the name of the enchant\nExample1: |cFF00FF00Mind-Numbing Poison\94\51|r = display action when main hand does not\n       have Mind-Numbing Poison with at least 3 seconds left\nExample2: |cFF00FF00Frostbrand Weapon|r = display action when main hand does not have Frostbrand Weapon"
	ROB_UI_AO_P_OHWE           = "Need OH Enchant:"
	ROB_UI_AO_P_OHWE_TT        = "Only display action when player needs specified off hand enchant"
	ROB_UI_AO_P_OHWEIB_TT      = "Input the name of the enchant\nExample1: |cFF00FF00Mind-Numbing Poison\94\51|r = display action when off hand does not\n       have Mind-Numbing Poison with at least 3 seconds left\nExample2: |cFF00FF00Frostbrand Weapon|r = display action when off hand does not have Frostbrand Weapon"
	ROB_UI_AO_P_STANCE         = "Stance:"
	ROB_UI_AO_P_STANCE_TT      = "Only display action when player is in the specified stance"
	ROB_UI_AO_P_STANCEIB_TT    = "Input the stance number \nAll Classes: |cFF00FF00 0|r Human Form\nDruid: |cFF00FF00 1|r Bear, |cFF00FF00 2|r Aquatic, |cFF00FF00 3|r Cat, |cFF00FF00 4|r Travel, |cFF00FF00 5|r Moonkin, |cFF00FF00 6|r Tree   \nRogue: |cFF00FF00 1|r Stealth (No Shadow Dance talent), |cFF00FF00 2|r Stealth (Have Shadow Dance talent), |cFF00FF00 3|r Shadow Dance Active\nWarrior: |cFF00FF00 1|r Battle, |cFF00FF00 2|r Defensive, |cFF00FF00 3|r Beserker\nDeath Knight: |cFF00FF00 1|r Blood, |cFF00FF00 2|r Frost, |cFF00FF00 3|r Unholy\nPriest: |cFF00FF00 1|r Shadowform, |cFF00FF00 2|r Frost, |cFF00FF00 3|r Unholy"
	ROB_UI_AO_P_OOC            = "Out of combat"
	ROB_UI_AO_P_OOC_TT         = "Only display action when player is out of combat"
	ROB_UI_AO_P_IC             = "In combat"
	ROB_UI_AO_P_IC_TT          = "Only display action when player is in combat"
	ROB_UI_AO_P_KNOWSPELL      = "Know Spell"
	ROB_UI_AO_P_KNOWSPELL_TT   = "Only display action when specified spell is known"
	ROB_UI_AO_P_KNOWSPELLIB_TT = "Input the spell name or spell id of the spell you want check"
	ROB_UI_AO_P_KNOWNOTSPELL   = "Do not know Spell"
	ROB_UI_AO_P_KNOWNOTSPELL_TT = "Only display action when specified spell is unknown"
	ROB_UI_AO_P_KNOWNOTSPELLIB_TT = "Input the spell name or spell id of the spell you want check"
	ROB_UI_AO_P_ISGLYPHED      = "Is glyphed"
	ROB_UI_AO_P_ISGLYPHED_TT   = "Only display action when specified glyph is glyphed"
	ROB_UI_AO_P_ISGLYPHEDIB_TT = "Input the glyph name or glyph spell id of the glyph you want check"
	ROB_UI_AO_P_NOTGLYPHED     = "Not glyphed"
	ROB_UI_AO_P_NOTGLYPHED_TT  = "Only display action when specified glyph is not glyphed"
	ROB_UI_AO_P_NOTGLYPHEDIB_TT = "Input the glyph name or glyph spell id of the glyph you want check"

	ROB_UI_AO_TARGET_TAB       = "Target"
	ROB_UI_AO_T_HP_TT          = "Only display action when target meets specified hit points"
	ROB_UI_AO_T_HPIB_TT        = "Input the target hit points to check\nExample1: |cFF00FF00\60\57\48%|r means only display this action when target is under 90% hitpoints\nExample2: |cFF00FF00>90%|r means only display this action when target is over 90% hitpoints\nExample3: |cFF00FF00\60\61\57\48%|r means only display this action when target is under or equal to 90% hitpoints\nExample4: |cFF00FF00>=90%|r means only display this action when target is over or equal to 90% hitpoints\nExample5: |cFF00FF00=90%|r means only display this action when target is at exactly 90% hitpoints"
	ROB_UI_AO_T_MAXHP          = "Max HP:"
	ROB_UI_AO_T_MAXHP_TT       = "Only display action when target meets specified max hit points"
	ROB_UI_AO_T_MAXHPIB_TT     = "Input the target maximum hit points to check\nExample1: |cFF00FF00>1000000|r means only display this action when target has over 1 million maximum hitpoints"
	ROB_UI_AO_T_MAXHP          = "Max HP:"
	ROB_UI_AO_T_MAXHP_TT       = "Only display action when target meets specified max hit points"
	ROB_UI_AO_T_MAXHPIB_TT     = "Input the target maximum hit points to check\nExample1: |cFF00FF00>1000000|r means only display this action when target has over 1 million maximum hitpoints"
	ROB_UI_AO_T_NEEDBUFF       = "Needs Buff:"
	ROB_UI_AO_T_NEEDBUFF_TT    = "Only display action when target needs specified buff or buffs"
	ROB_UI_AO_T_NEEDBUFFIB_TT  = "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when target is missing 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when target is missing a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when target is missing a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when target is missing Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when target is missing both Earth Shield and Inner Fire"
	ROB_UI_AO_T_HAVEBUFF       = "Has Buff:"
	ROB_UI_AO_T_HAVEBUFF_TT    = "Only display action when target has the specified buff or buffs"
	ROB_UI_AO_T_HAVEBUFFIB_TT  = "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when target has 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when target has a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when target has a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when target has Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when target has both Earth Shield and Inner Fire"
	ROB_UI_AO_T_NEEDDB         = "Need Debuff:"
	ROB_UI_AO_T_NEEDDB_TT      = "Only display action when target is missing the specified debuff or debuffs"
	ROB_UI_AO_T_NEEDDBIB_TT    = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when target is missing the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when target is missing a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when target is missing a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when target is missing Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when target is missing both Dark Plague and Forbearance debuffs"
	ROB_UI_AO_T_HAVEDB         = "Have Debuff:"
	ROB_UI_AO_T_HAVEDB_TT      = "Only display action when target has the specified debuff or debuffs"
	ROB_UI_AO_T_HAVEDBIB_TT    = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when target has the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when target has a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when target has a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when target has Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when target has both Dark Plague and Forbearance debuffs"
	ROB_UI_AO_T_CLASS          = "Target Class:"
	ROB_UI_AO_T_CLASS_TT       = "Only display action if the target is one of the specified clases"
	ROB_UI_AO_T_CLASSIB_TT     = "Input the list of target classes seperated by |\nExample: |cFF00FF00DRUID||WARRIOR|r means only display this action if the target is a druid or warrior"
	ROB_UI_AO_T_PC             = "Player controlled"
	ROB_UI_AO_T_PC_TT          = "Only display action if target is player controlled"
	ROB_UI_AO_T_INTERRUPT      = "Interrupt:"
	ROB_UI_AO_T_INTERRUPT_QTT  = "Search for a spell name in the interrupt list"
	ROB_UI_AO_T_INTERRUPT_M    = "Enter the name of the spell to search for"
	ROB_UI_AO_T_INTERRUPT_M1   = "Interrupt list is blank"
	ROB_UI_AO_T_INTERRUPT_M2   = " |cFFFF0000NOT FOUND|r (Spell name may not have verticals bars around the name) \nBad Example:|Shadow Nova \nGood Example:|Shadow Nova|"
	ROB_UI_AO_T_INTERRUPT_M3   = " |cFF00FF00FOUND|r"
	ROB_UI_AO_T_INTERRUPT_TT   = "Use this action to interrupt the unit when its casting one of the spells in the specified list"
	ROB_UI_AO_T_INTERRUPTIB_TT = "Input the list of spells to interrupt surrounded by |\nExample1: |cFF00FF00||Polymorph||Fear|||r\nExample2: |cFF00FF00||Polymorph|||r just interrupts Polymorph"
	ROB_UI_AO_T_DR             = "Duel Range"
	ROB_UI_AO_T_DR_TT          = "Only display action if target is within 9.9 yards"
	ROB_UI_AO_T_BOSS           = "Boss"
	ROB_UI_AO_T_BOSS_TT        = "Only display action if target is a boss"


	ROB_UI_AO_PET_TAB          = "Pet"
	ROB_UI_AO_PET_HP_TT        = "Only display action when pet meets specified hit points"
	ROB_UI_AO_PET_HPIB_TT      = "Input the pet hit points to check\nExample1: |cFF00FF00\60\57\48%|r means only display this action when pet is under 90% hitpoints\nExample2: |cFF00FF00>90%|r means only display this action when pet is over 90% hitpoints\nExample3: |cFF00FF00\60\61\57\48%|r means only display this action when pet is under or equal to 90% hitpoints\nExample4: |cFF00FF00>=90%|r means only display this action when pet is over or equal to 90% hitpoints\nExample5: |cFF00FF00=90%|r means only display this action when pet is at exactly 90% hitpoints"
	ROB_UI_AO_PET_ISAC         = "Autocasting:"
	ROB_UI_AO_PET_ISAC_TT      = "Only display action when pet is autocasting specified spell"
	ROB_UI_AO_PET_ISACIB_TT    = "Input the name or spellid of the pet spell to check\nExample1: |cFF00FF00Growl|r\nExample2: |cFF00FF00\50\54\52\57|r"
	ROB_UI_AO_PET_NAC          = "Not Autocasting:"
	ROB_UI_AO_PET_NAC_TT       = "Only display action when pet is not autocasting specified spell"
	ROB_UI_AO_PET_NACIB_TT     = "Input the name or spellid of the pet spell to check\nExample1: |cFF00FF00Growl|r\nExample2: |cFF00FF00\50\54\52\57|r"     
	ROB_UI_AO_PET_NEEDBUFF     = "Needs Buff:"
	ROB_UI_AO_PET_NEEDBUFF_TT  = "Only display action when your pet needs specified buff or buffs"
	ROB_UI_AO_PET_NEEDBUFFIB_TT= "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when your pet is missing 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when your pet is missing a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when your pet is missing a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when your pet is missing Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when your pet is missing both Earth Shield and Inner Fire"
	ROB_UI_AO_PET_HAVEBUFF     = "Has Buff:"
	ROB_UI_AO_PET_HAVEBUFF_TT  = "Only display action when your pet has the specified buff or buffs"
	ROB_UI_AO_PET_HAVEBUFFIB_TT= "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when your pet has 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when your pet has a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when your pet has a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when your pet has Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when your pet has both Earth Shield and Inner Fire"
	ROB_UI_AO_PET_NEEDDB       = "Needs Debuff:"
	ROB_UI_AO_PET_NEEDDB_TT    = "Only display action when your pet is missing the specified debuff or debuffs"
	ROB_UI_AO_PET_NEEDDBIB_TT  = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when your pet is missing the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when your pet is missing a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when your pet is missing a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when your pet is missing Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when your pet is missing both Dark Plague and Forbearance debuffs"
	ROB_UI_AO_PET_HAVEDB       = "Has Debuff:"
	ROB_UI_AO_PET_HAVEDB_TT    = "Only display action when your pet has the specified debuff or debuffs"
	ROB_UI_AO_PET_HAVEDBIB_TT  = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when your pet has the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when your pet has a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when your pet has a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when your pet has Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when your pet has both Dark Plague and Forbearance debuffs"

	ROB_UI_AO_PET_DR           = "Duel Range"
	ROB_UI_AO_PET_DR_TT        = "Only display action if pet is within 9.9 yards"

	ROB_UI_AO_FOCUS_TAB        = "Focus"
	ROB_UI_AO_F_HP_TT          = "Only display action when focus meets specified hit points"
	ROB_UI_AO_F_HPIB_TT        = "Input the pet hit points to check\nExample1: |cFF00FF00\60\57\48%|r means only display this action when focus is under 90% hitpoints\nExample2: |cFF00FF00>90%|r means only display this action when focus is over 90% hitpoints\nExample3: |cFF00FF00\60\61\57\48%|r means only display this action when focus is under or equal to 90% hitpoints\nExample4: |cFF00FF00>=90%|r means only display this action when focus is over or equal to 90% hitpoints\nExample5: |cFF00FF00=90%|r means only display this action when focus is at exactly 90% hitpoints"
	ROB_UI_AO_F_MAXHP          = "Max HP:"
	ROB_UI_AO_F_MAXHP_TT       = "Only display action when focus meets specified max hit points"
	ROB_UI_AO_F_MAXHPIB_TT     = "Input the focus maximum hit points to check\nExample1: |cFF00FF00>1000000|r means only display this action when focus has over 1 million maximum hitpoints"
	ROB_UI_AO_F_MAXHP          = "Max HP:"
	ROB_UI_AO_F_MAXHP_TT       = "Only display action when focus meets specified max hit points"
	ROB_UI_AO_F_MAXHPIB_TT     = "Input the focus maximum hit points to check\nExample1: |cFF00FF00>1000000|r means only display this action when focus has over 1 million maximum hitpoints"
	ROB_UI_AO_F_NEEDBUFF       = "Needs Buff:"
	ROB_UI_AO_F_NEEDBUFF_TT    = "Only display action when focus needs specified buff or buffs"
	ROB_UI_AO_F_NEEDBUFFIB_TT  = "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when focus is missing 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when focus is missing a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when focus is missing a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when focus is missing Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when focus is missing both Earth Shield and Inner Fire"
	ROB_UI_AO_F_HAVEBUFF       = "Has Buff:"
	ROB_UI_AO_F_HAVEBUFF_TT    = "Only display action when focus has the specified buff or buffs"
	ROB_UI_AO_F_HAVEBUFFIB_TT  = "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when focus has 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when focus has a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when focus has a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when focus has Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when focus has both Earth Shield and Inner Fire"
	ROB_UI_AO_F_NEEDDB         = "Need Debuff:"
	ROB_UI_AO_F_NEEDDB_TT      = "Only display action when focus is missing the specified debuff or debuffs"
	ROB_UI_AO_F_NEEDDBIB_TT    = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when focus is missing the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when focus is missing a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when focus is missing a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when focus is missing Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when focus is missing both Dark Plague and Forbearance debuffs"
	ROB_UI_AO_F_HAVEDB         = "Have Debuff:"
	ROB_UI_AO_F_HAVEDB_TT      = "Only display action when focus has the specified debuff or debuffs"
	ROB_UI_AO_F_HAVEDBIB_TT    = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when focus has the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when focus has a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when focus has a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when focus has Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when focus has both Dark Plague and Forbearance debuffs"
	ROB_UI_AO_F_CLASS          = "Focus Class:"
	ROB_UI_AO_F_CLASS_TT       = "Only display action if the focus is one of the specified clases"
	ROB_UI_AO_F_CLASSIB_TT     = "Input the list of focus classes seperated by |\nExample: |cFF00FF00DRUID||WARRIOR|r means only display this action if the focus is a druid or warrior"
	ROB_UI_AO_F_PC             = "Player controlled"
	ROB_UI_AO_F_PC_TT          = "Only display action if focus is player controlled"
	ROB_UI_AO_F_DR             = "Duel Range"
	ROB_UI_AO_F_DR_TT          = "Only display action if focus is within 9.9 yards"
   
	ROB_UI_AO_CUSTOM_TAB       = "Custom Unit"
	ROB_UI_AO_C_UNITNAME_L	   = "Unit Name:"
	ROB_UI_AO_C_UNITNAME_TT    = "Enter the name of the unit to check the options on this tab against \nExample1: |cFF00FF00focustarget|r\nExample2: |cFF00FF00boss1|r"
	ROB_UI_AO_C_HP_TT          = "Only display action when unit meets specified hit points"
	ROB_UI_AO_C_HPIB_TT        = "Input the unit hit points to check\nExample1: |cFF00FF00\60\57\48%|r means only display this action when unit is under 90% hitpoints\nExample2: |cFF00FF00>90%|r means only display this action when unit is over 90% hitpoints\nExample3: |cFF00FF00\60\61\57\48%|r means only display this action when unit is under or equal to 90% hitpoints\nExample4: |cFF00FF00>=90%|r means only display this action when unit is over or equal to 90% hitpoints\nExample5: |cFF00FF00=90%|r means only display this action when unit is at exactly 90% hitpoints"
	ROB_UI_AO_C_MAXHP          = "Max HP:"
	ROB_UI_AO_C_MAXHP_TT       = "Only display action when unit meets specified max hit points"
	ROB_UI_AO_C_MAXHPIB_TT     = "Input the unit maximum hit points to check\nExample1: |cFF00FF00>1000000|r means only display this action when unit has over 1 million maximum hitpoints"
	ROB_UI_AO_C_MAXHP          = "Max HP:"
	ROB_UI_AO_C_MAXHP_TT       = "Only display action when unit meets specified max hit points"
	ROB_UI_AO_C_MAXHPIB_TT     = "Input the unit maximum hit points to check\nExample1: |cFF00FF00>1000000|r means only display this action when unit has over 1 million maximum hitpoints"
	ROB_UI_AO_C_NEEDBUFF       = "Needs Buff:"
	ROB_UI_AO_C_NEEDBUFF_TT    = "Only display action when unit needs specified buff or buffs"
	ROB_UI_AO_C_NEEDBUFFIB_TT  = "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when unit is missing 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when unit is missing a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when unit is missing a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when unit is missing Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when unit is missing both Earth Shield and Inner Fire"
	ROB_UI_AO_C_HAVEBUFF       = "Has Buff:"
	ROB_UI_AO_C_HAVEBUFF_TT    = "Only display action when unit has the specified buff or buffs"
	ROB_UI_AO_C_HAVEBUFFIB_TT  = "Input the name of the buff or buffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Earth Shield#2|r display action when unit has 2 stacks of Earth Shield\nExample2: |cFF00FF00_Earth Shield#2|r display action when unit has a player casted Earth Shield at 2 stacks\nExample3: |cFF00FF00_Earth Shield#2^3|r display action when unit has a player casted Earth Shield at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Earth Shield||Inner Fire|r display action when unit has Earth Shield or Inner Fire\nExample5: |cFF00FF00Earth Shield\38Inner Fire|r display action when unit has both Earth Shield and Inner Fire"
	ROB_UI_AO_C_NEEDDB         = "Need Debuff:"
	ROB_UI_AO_C_NEEDDB_TT      = "Only display action when unit is missing the specified debuff or debuffs"
	ROB_UI_AO_C_NEEDDBIB_TT    = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when unit is missing the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when unit is missing a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when unit is missing a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when unit is missing Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when unit is missing both Dark Plague and Forbearance debuffs"
	ROB_UI_AO_C_HAVEDB         = "Have Debuff:"
	ROB_UI_AO_C_HAVEDB_TT      = "Only display action when unit has the specified debuff or debuffs"
	ROB_UI_AO_C_HAVEDBIB_TT    = "Input the name of the debuff or debuffs\nSyntax: |cFF00FF00\124 |r= OR |cFF00FF00\38|r = AND |cFF00FF00\95|r = casted by player |cFF00FF00\35|r = number of stacks |cFF00FF00\94|r = refresh at seconds\nExample1: |cFF00FF00Dark Plague#2|r display action when unit has the debuff Dark Plague 2 stacks\nExample2: |cFF00FF00_Dark Plague#2|r display action when unit has a player casted Dark Plague at 2 stacks\nExample3: |cFF00FF00_Dark Plague#2^3|r display action when unit has a player casted Dark Plague at 2 stacks with >=3 seconds left\nExample4: |cFF00FF00Dark Plague|Forbearance|r display action when unit has Dark Plague or Forbearance debuffs\nExample5: |cFF00FF00Dark Plague\38Forbearance|r display action when unit has both Dark Plague and Forbearance debuffs"
	ROB_UI_AO_C_CLASS          = "Unit Class:"
	ROB_UI_AO_C_CLASS_TT       = "Only display action if the unit is one of the specified clases"
	ROB_UI_AO_C_CLASSIB_TT     = "Input the list of unit classes seperated by |\nExample: |cFF00FF00DRUID||WARRIOR|r means only display this action if the unit is a druid or warrior"
	ROB_UI_AO_C_INTERRUPT      = "Interrupt:"
	ROB_UI_AO_C_INTERRUPT_TT   = "Use this action to interrupt the unit when its casting one of the spells in the specified list"

	ROB_UI_AO_C_DR             = "Duel Range"
	ROB_UI_AO_C_DR_TT          = "Only display action if custom unit is within 9.9 yards"

   ROB_ACTION_MOVEUP_TT       = "Move selected action up one position"
   ROB_ACTION_MOVEDOWN_TT     = "Move selected action down one position"
   ROB_ACTION_REMOVE_TT       = "Remove action from list"

   ROB_LOADED                 = "Rotation Builder v%s loaded"

   -- Dialog Prompt
   ROB_PROMPT_LIST_DELETE     = "Are you sure you want to delete?"
   ROB_PROMPT_SPELLLIST_DELETE = "Are you sure you want to delete?"
   -- Options
   ROB_OPTION_MINIMAPO        = "Minimap Options:"
   ROB_OPTION_MINIMAP         = "Minimap button:"
   ROB_OPTION_MINIMAP_TT      = "Toggle Minimap Button"
   ROB_OPTION_MINIMAPPOS      = "Position Around Minimap"
   ROB_OPTION_MMPOS_CV        = "300"
   ROB_OPTION_MMPOS_MIN       = "1"
   ROB_OPTION_MMPOS_MAX       = "360"
   ROB_OPTION_MINIMAPRAD      = "Radius Outside Minimap"
   ROB_OPTION_MMRAD_CV        = "80"   
   ROB_OPTION_MMRAD_MIN       = "1"
   ROB_OPTION_MMRAD_MAX       = "120"
   ROB_OPTION_ICONS           = "Icon Options:"
   ROB_OPTION_NAIL            = "Next Action Location:"
   ROB_OPTION_ICONSCALE       = "Icon Scale:"
   ROB_OPTION_ICONS_CV        = "1"
   ROB_OPTION_ICONS_MIN       = ".1"
   ROB_OPTION_ICONS_MAX       = "3.5"
   ROB_OPTION_ICONS_T_A       = "Toggle Icons Transparency:"
   ROB_OPTION_ICONS_C_A       = "Current Action Transparency:"
   ROB_OPTION_ICONS_N_A       = "Next Action Transparency:"
   ROB_OPTION_ICONS_T_ATT     = "Enter the transparency level for the icon\n |cFF00FF00.1|r to |cFF00FF00 1|r\n|cFF00FF00 1|r is fully visible\n|cFF00FF00 .1|r is near invisible"
   
   ROB_OPTION_IMPORT          = "Import / Export Options:"   
   ROB_OPTION_LOCKICONS       = "Lock icons"
   ROB_OPTION_LOCKICONS_TT    = "Lock icons to prevent movement"
   ROB_OPTION_HIDECD          = "Hide Cooldowns"
   ROB_OPTION_HIDECD_TT       = "Hide the cooldown clock and flashing animations"
   ROB_OPTION_OVERWRITE       = "Overwrite"
   ROB_OPTION_OVERWRITE_TT    = "Allow importing rotations to overwrite existing rotations"
   ROB_OPTION_LOADDEFAULT     = "LOAD"
   ROB_OPTION_LOADDEFAULT_TT  = "Load default rotations for your class"
   ROB_OPTION_EXPORTBINDS     = "Export binds"
   ROB_OPTION_EXPORTBINDS_TT  = "Export action key binds with export"
   ROB_OPTION_UI              = "UI Options:"  
   ROB_OPTION_UISCALE         = "UI Scale:"
   ROB_OPTION_UISCALE_ADD     = "+"
   ROB_OPTION_UISCALE_MIN     = "-"
   ROB_OPTION_UPDATERATE      = "Updates Per Second:"
   ROB_OPTION_UPDATERATE_CV   = "5"
   ROB_OPTION_UPDATERATE_MIN  = "1"
   ROB_OPTION_UPDATERATE_MAX  = "10"
   
   ROB_OPTION_RESETUI         = "Reset UI"
   ROB_OPTION_RESETUI_TT      = "Reset UI Window Locations"
   ROB_OPTION_RESETUI_EXP     = "Reset all UI windows to center of screen"
   
   ROB_UI_DEBUG_PREFIX        = "ROB:"
   ROB_UI_DEBUG_E1            = "    NOT showing A:"
   
   --DEFAULT ROTATIONS
   --Deathknigh
   --Blood specialization
   ROB_DEATHKNIGHT_BLOOD      = "RotationBuilder,v1.45,[Sang V1.1],[Prsence de sang],v_p_needbuff=48263,b_p_needbuff=true,v_spellname=48263,b_rangecheck=false,v_actionicon=48263,v_gcdspell=48266,[Pestilence (Pousse de fivre)],v_lastcasted=77575,b_lastcasted=true,v_spellname=50842,b_toggle=true,v_actionicon=50842,v_gcdspell=48266,[Pestilence],v_lastcasted=45462,b_lastcasted=true,v_spellname=50842,b_toggle=true,v_actionicon=50842,v_gcdspell=48266,[Cor de l'hiver],v_p_needbuff=57330,b_p_needbuff=true,v_spellname=57330,b_rangecheck=false,v_actionicon=57330,v_gcdspell=48266,[Pousse de fivre],b_duration=true,v_t_needsdebuff=_55078^2|_55095^2|_81130^2,v_spellname=77575,b_t_needsdebuff=true,v_duration=60,v_actionicon=77575,v_gcdspell=48266,[Toucher de glace],v_checkothercdvalue=>3,b_checkothercd=true,v_t_needsdebuff=_55095^3,v_spellname=45477,b_t_needsdebuff=true,v_checkothercdname=77575,v_actionicon=45477,v_gcdspell=48266,[Frappe de peste],v_checkothercdvalue=>3,b_checkothercd=true,v_t_needsdebuff=_55078^3|_81130^3,v_spellname=45462,b_t_needsdebuff=true,v_checkothercdname=77575,v_actionicon=45462,v_gcdspell=48266,[Cor de l'hiver (Puissance)],v_p_unitpowertype=6,b_p_unitpower=true,v_spellname=57330,v_p_unitpower=<=50%,b_rangecheck=false,v_actionicon=57330,v_gcdspell=48266,[Mort et dcomposition],v_spellname=43265,b_toggle=true,b_rangecheck=false,v_actionicon=43265,v_gcdspell=48266,[Frappe de mort],v_spellname=49998,v_actionicon=49998,v_gcdspell=48266,[Frappe runique],v_spellname=56815,v_actionicon=56815,v_gcdspell=48266,[Furoncle sanglant],v_spellname=48721,b_toggle=true,b_rangecheck=false,v_actionicon=48721,v_gcdspell=48266,[Frappe au coeur],v_spellname=55050,v_actionicon=55050,v_gcdspell=48266"
   
   --Frost specialization
   ROB_DEATHKNIGHT_FROST      = "RotationBuilder,v1.45,[Givre V1.1],[Prsence de givre],v_p_needbuff=48266,b_p_needbuff=true,v_spellname=48266,b_rangecheck=false,v_actionicon=48266,v_gcdspell=48266,[Pestilence (Pousse de fivre)],v_lastcasted=77575,b_lastcasted=true,v_spellname=50842,b_toggle=true,v_actionicon=50842,v_gcdspell=48266,[Pestilence],v_lastcasted=45462,b_duration=true,b_lastcasted=true,v_spellname=50842,b_toggle=true,v_duration=30,v_actionicon=50842,v_gcdspell=48266,[Cor de l'hiver],v_p_needbuff=57330,b_p_needbuff=true,v_spellname=57330,b_rangecheck=false,v_actionicon=57330,v_gcdspell=48266,[Pillier de givre],v_lastcasted=45529,b_lastcasted=true,v_p_needbuff=51271,b_p_needbuff=true,v_spellname=51271,b_rangecheck=false,v_actionicon=51271,v_gcdspell=48266,[Drain sanglant],v_p_needbuff=51271,b_p_needbuff=true,v_spellname=45529,b_rangecheck=false,v_actionicon=45529,v_gcdspell=48266,[Ranimation morbide],v_spellname=46584,v_p_havebuff=32182|2825|80353|90355|49016|10060|51271,b_rangecheck=false,b_p_havebuff=true,v_actionicon=46584,v_gcdspell=48266,[Renforcer l'arme runique],v_spellname=47568,v_p_havebuff=32182|2825|80353|90355|49016|10060,b_rangecheck=false,b_p_havebuff=true,v_actionicon=47568,v_gcdspell=48266,[Rafale hurlante (AOE) (Runes mort)],v_p_deathrunes==2,b_p_deathrunes=true,v_spellname=49184,b_toggle=true,v_actionicon=49184,v_gcdspell=48266,[Rafale hurlante (AOE) (Runes givre)],b_p_frostrunes=true,v_spellname=49184,v_p_frostrunes==2,b_toggle=true,v_actionicon=49184,v_gcdspell=48266,[Mort et dcomposition (Runes impies)],v_p_unholyrunes==2,v_spellname=43265,b_toggle=true,b_rangecheck=false,b_p_unholyrunes=true,v_actionicon=43265,v_gcdspell=48266,[Frappe de peste (AOE) (Runes impies)],v_p_unholyrunes==2,v_t_needsdebuff=_55078^3|_81130^3,v_spellname=45462,b_t_needsdebuff=true,b_toggle=true,b_p_unholyrunes=true,v_actionicon=45462,v_gcdspell=48266,[Rafale hurlante (AOE)],v_spellname=49184,b_toggle=true,v_actionicon=49184,v_gcdspell=48266,[Mort et dcomposition (AOE)],v_spellname=43265,b_toggle=true,b_rangecheck=false,v_actionicon=43265,v_gcdspell=48266,[Frappe de peste (AOE)],v_t_needsdebuff=_55078^3|_81130^3,v_spellname=45462,b_t_needsdebuff=true,b_toggle=true,v_actionicon=45462,v_gcdspell=48266,[Frappe de givre (AOE)],v_spellname=49143,b_toggle=true,v_actionicon=49143,v_gcdspell=48266,[Cor de l'hiver (AOE) (Recharge)],v_spellname=57330,b_toggle=true,b_rangecheck=false,v_actionicon=57330,v_gcdspell=48266,[Pousse de fivre],b_duration=true,v_t_needsdebuff=_55078^2|_55095^2|_81130^2,v_spellname=77575,b_t_needsdebuff=true,v_duration=60,v_actionicon=77575,v_gcdspell=48266,[Rafale hurlante],v_checkothercdvalue=>3,b_checkothercd=true,v_t_needsdebuff=_55095^3,v_spellname=49184,b_t_needsdebuff=true,v_checkothercdname=77575,v_actionicon=49184,v_gcdspell=48266,[Frappe de peste],v_checkothercdvalue=>3,b_checkothercd=true,v_t_needsdebuff=_55078^3|_81130^3,v_spellname=45462,b_t_needsdebuff=true,v_checkothercdname=77575,v_actionicon=45462,v_gcdspell=48266,[Anantissement (Machine  tuer)],v_spellname=49020,v_p_havebuff=51124,b_p_havebuff=true,v_actionicon=49020,v_gcdspell=48266,[Anantissement (Runes de mort)],v_p_deathrunes==2,b_p_deathrunes=true,v_spellname=49020,v_actionicon=49020,v_gcdspell=48266,[Anantissement (Runes)],b_p_frostrunes=true,v_p_unholyrunes==2,v_spellname=49020,v_p_frostrunes==2,b_p_unholyrunes=true,v_actionicon=49020,v_gcdspell=48266,[Frappe de givre (Puissance >110)],v_p_unitpowertype=6,b_p_unitpower=true,v_spellname=49143,v_p_unitpower=>110,v_actionicon=49143,v_gcdspell=48266,[Rafale hurlante (Brouillard)],v_spellname=49184,v_p_havebuff=59052,b_p_havebuff=true,v_actionicon=49184,v_gcdspell=48266,[Anantissement],v_spellname=49020,v_actionicon=49020,v_gcdspell=48266,[Frappe de givre],v_spellname=49143,v_actionicon=49143,v_gcdspell=48266,[Cor de l'hiver (Recharge)],v_spellname=57330,b_rangecheck=false,v_actionicon=57330,v_gcdspell=48266"
   
   --Unholy specialization
   ROB_DEATHKNIGHT_UNHOLY     = "RotationBuilder,v1.45,[Impie V1.2],[Prsense impie],v_p_needbuff=48265,b_p_needbuff=true,v_spellname=48265,b_rangecheck=false,v_actionicon=48265,v_gcdspell=48266,[Pestilence (Pousse de fivre)],v_lastcasted=77575,b_lastcasted=true,v_spellname=50842,b_toggle=true,v_actionicon=50842,v_gcdspell=48266,[Pestilence],v_lastcasted=45462,b_lastcasted=true,v_spellname=50842,b_toggle=true,v_actionicon=50842,v_gcdspell=48266,[Cor de l'hiver],v_p_needbuff=57330,b_p_needbuff=true,v_spellname=57330,b_rangecheck=false,v_actionicon=57330,v_gcdspell=48266,[Pousse de fivre],b_duration=true,v_t_needsdebuff=_55078^2|_55095^2|_81130^2,v_spellname=77575,b_t_needsdebuff=true,v_duration=60,v_actionicon=77575,v_gcdspell=48266,[Toucher de glace],v_checkothercdvalue=>3,b_checkothercd=true,v_t_needsdebuff=_55095^3,v_spellname=45477,b_t_needsdebuff=true,v_checkothercdname=77575,v_actionicon=45477,v_gcdspell=48266,[Frappe de peste],v_checkothercdvalue=>3,b_checkothercd=true,v_t_needsdebuff=_55078^3|_81130^3,v_spellname=45462,b_t_needsdebuff=true,v_checkothercdname=77575,v_actionicon=45462,v_gcdspell=48266,[Frnsie impie],v_p_needbuff=32182|2825|80353|90355|49016|10060,b_p_needbuff=true,v_spellname=49016,v_actionicon=49016,v_gcdspell=48266,[Gargouille],v_spellname=49206,v_p_havebuff=32182|2825|80353|90355|49016|10060,b_p_havebuff=true,v_actionicon=49206,v_gcdspell=48266,[Renforcer l'arme runique],v_spellname=47568,v_p_havebuff=32182|2825|80353|90355|49016|10060,b_rangecheck=false,b_p_havebuff=true,v_actionicon=47568,v_gcdspell=48266,[Drain sanglant],v_p_bloodrunes=<2,b_p_bloodrunes=true,v_spellname=45529,b_rangecheck=false,v_actionicon=45529,v_gcdspell=48266,[Sombre transformation],v_spellname=63560,v_actionicon=63560,v_gcdspell=48266,[Mort et dcomposition (Runes impies)],v_p_unholyrunes==2,v_spellname=43265,b_rangecheck=false,b_p_unholyrunes=true,v_actionicon=43265,v_gcdspell=48266,[Mort et dcomposition (Runes de mort)],v_p_deathrunes==2,b_p_deathrunes=true,v_spellname=43265,b_rangecheck=false,v_actionicon=43265,v_gcdspell=48266,[Frappe du Flau (Runes impies)],v_p_unholyrunes==2,v_spellname=55090,b_p_unholyrunes=true,v_actionicon=55090,v_gcdspell=48266,[Frappe du Flau (Runes de mort)],v_p_deathrunes==2,b_p_deathrunes=true,v_spellname=55090,v_actionicon=55090,v_gcdspell=48266,[Furoncle sanglant],b_p_frostrunes=true,v_p_bloodrunes==2,b_p_bloodrunes=true,v_spellname=48721,v_p_frostrunes==2,b_toggle=true,b_rangecheck=false,v_actionicon=48721,v_gcdspell=48266,[Frappe purulente (Runes)],b_p_frostrunes=true,v_p_bloodrunes==2,b_p_bloodrunes=true,v_spellname=85948,v_p_frostrunes==2,v_actionicon=85948,v_gcdspell=48266,[Voile mortel (Puissance >90)],v_p_unitpowertype=6,b_p_unitpower=true,v_spellname=47541,v_p_unitpower=>90,v_actionicon=47541,v_gcdspell=48266,[Voile mortel],v_spellname=47541,v_p_havebuff=81340,b_p_havebuff=true,v_actionicon=47541,v_gcdspell=48266,[Toucher de glace (AOE)],v_spellname=45477,b_toggle=true,v_actionicon=45477,v_gcdspell=48266,[Mort et dcomposition],v_spellname=43265,b_rangecheck=false,v_actionicon=43265,v_gcdspell=48266,[Frappe du Flau],v_spellname=55090,v_actionicon=55090,v_gcdspell=48266,[Frappe purulente],v_spellname=85948,v_actionicon=85948,v_gcdspell=48266,[Cor de l'hiver (Puissance)],v_p_unitpowertype=6,b_p_unitpower=true,v_spellname=57330,v_p_unitpower=<=50%,b_rangecheck=false,v_actionicon=57330,v_gcdspell=48266"
   
   --Druid
   --Balance specialization
   ROB_DRUID_BALANCE          = "RotationBuilder,v1.45,[Equilibre V1.1],[Marque du fauve],v_p_needbuff=79061,b_p_needbuff=true,v_spellname=1126,b_rangecheck=false,v_actionicon=1126,v_gcdspell=768,[Forme de slnien],v_p_needbuff=24858,b_p_needbuff=true,v_spellname=24858,b_rangecheck=false,v_actionicon=24858,v_gcdspell=768,[Mtores],v_spellname=48505,b_toggle=true,b_rangecheck=false,v_actionicon=48505,v_gcdspell=768,[Dtonation],v_spellname=88751,b_toggle=true,v_actionicon=88751,v_gcdspell=768,[Champignon sauvage],b_maxcasts=true,v_spellname=88747,b_toggle=true,v_maxcasts=3,b_breakchanneling=true,v_actionicon=88747,v_gcdspell=768,[Eruption stellaire (Etoiles fillantes)],v_spellname=78674,v_p_havebuff=93400,b_p_havebuff=true,v_actionicon=78674,v_gcdspell=768,[Essaim d'insectes],v_t_needsdebuff=_5570,v_spellname=5570,b_t_needsdebuff=true,v_actionicon=5570,v_gcdspell=768,[Eclat lunaire/solaire],v_t_needsdebuff=_8921|_93402,v_spellname=8921,b_t_needsdebuff=true,v_actionicon=8921,v_gcdspell=768,[Lucioles],v_t_needsdebuff=91565#3|58567,v_spellname=770,b_t_needsdebuff=true,v_actionicon=770,v_gcdspell=768,[Epines],v_spellname=467,b_f_needsbuff=true,v_f_needsbuff=_467,v_actionicon=467,v_gcdspell=768,[Innervation],v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=29166,v_p_unitpower=<=75%,b_rangecheck=false,v_actionicon=29166,v_gcdspell=765,[Force de la nature],v_spellname=33831,v_actionicon=33831,v_gcdspell=768,[Eruption stellaire],v_spellname=78674,v_actionicon=78674,v_gcdspell=768,[Colre (Solaire -> Lunaire)],b_p_eclipse=true,v_spellname=5176,v_p_eclipse=moon,v_actionicon=5176,v_gcdspell=768,[Feu stellaire (Lunaire -> Solaire)],b_p_eclipse=true,v_spellname=2912,v_p_eclipse=sun,v_actionicon=2912,v_gcdspell=768,[Colre],b_p_eclipse=true,v_spellname=5176,v_p_eclipse=none,v_actionicon=5176,v_gcdspell=768"
   
   --Feral specialization
   ROB_DRUID_FERAL            = "RotationBuilder,v1.45,[Farouche (Flin) V1.2],[Marque du fauve],v_p_needbuff=79061,b_p_needbuff=true,v_spellname=1126,b_rangecheck=false,v_actionicon=1126,v_gcdspell=768,[Lucioles (farouche)],v_t_needsdebuff=91565|58567,v_spellname=16857,b_t_needsdebuff=true,v_actionicon=16857,v_gcdspell=768,[Forme de flin],v_p_needbuff=768,b_p_needbuff=true,v_spellname=768,b_rangecheck=false,v_actionicon=768,v_gcdspell=768,[Ravage],v_spellname=6785,v_p_havebuff=81022,b_p_havebuff=true,v_actionicon=6785,v_gcdspell=768,[Mutilation],v_t_needsdebuff=33876|33878|46857,v_spellname=33876,b_t_needsdebuff=true,v_actionicon=33876,v_gcdspell=768,[Fureur du tigre],v_spellname=5217,b_rangecheck=false,v_actionicon=5217,v_gcdspell=768,[Berserk],v_spellname=50334,b_rangecheck=false,v_actionicon=50334,v_gcdspell=768,[Balayage],v_spellname=62078,b_toggle=true,v_actionicon=62078,v_gcdspell=768,[Morsure froce],b_t_hp=true,v_p_combopoints==5,b_p_combopoints=true,v_t_needsdebuff=_1079^5,v_spellname=22568,b_t_needsdebuff=true,v_t_hp=<25%,b_breakchanneling=true,v_actionicon=22568,v_gcdspell=768,[Dchirure],v_p_combopoints==5,b_p_combopoints=true,v_t_needsdebuff=_1079^5,v_spellname=1079,b_t_needsdebuff=true,v_actionicon=1079,v_gcdspell=768,[Griffure],v_t_needsdebuff=_1822^3,v_spellname=1822,b_t_needsdebuff=true,v_actionicon=1822,v_gcdspell=768,[Rugissement sauvage],v_p_combopoints==5,v_p_needbuff=_52610^3,b_p_combopoints=true,b_p_needbuff=true,v_spellname=52610,b_rangecheck=false,v_actionicon=52610,v_gcdspell=768,[Charge farouche],v_spellname=49376,v_actionicon=49376,v_gcdspell=768,[Morsure froce (Combos)],v_p_combopoints==5,b_p_combopoints=true,v_spellname=22568,v_actionicon=22568,v_gcdspell=768,[Lambeau],v_spellname=5221,v_actionicon=5221,v_gcdspell=768"
   
   --Guardian specialization
   ROB_DRUID_GUARDIAN         = "RotationBuilder,v1.45,[Farouche (Ours) V1.1],[Marque du fauve],v_p_needbuff=79061,b_p_needbuff=true,v_spellname=1126,b_rangecheck=false,v_actionicon=1126,v_gcdspell=768,[Lucioles (farouche)],v_t_needsdebuff=91565|58567,v_spellname=16857,b_t_needsdebuff=true,v_actionicon=16857,v_gcdspell=768,[Forme d'ours],v_p_needbuff=5487,b_p_needbuff=true,v_spellname=5487,b_rangecheck=false,v_actionicon=5487,v_gcdspell=768,[Berserk],v_spellname=50334,b_toggle=true,b_rangecheck=false,v_actionicon=50334,v_gcdspell=768,[Rugissement dmoralisant],v_t_needsdebuff=99,v_spellname=99,b_t_needsdebuff=true,b_rangecheck=false,v_actionicon=99,v_gcdspell=768,[Mutilation],v_spellname=33878,v_actionicon=33878,v_gcdspell=768,[Rosser],v_spellname=77758,v_actionicon=77758,v_gcdspell=768,[Balayage],v_spellname=62078,b_toggle=true,v_actionicon=62078,v_gcdspell=768,[Lacrer],v_t_needsdebuff=_33745,v_spellname=33745,b_t_needsdebuff=true,v_actionicon=33745,v_gcdspell=768,[Pulvrisation],v_p_needbuff=80951^2,b_p_needbuff=true,v_spellname=80313,v_actionicon=80313,v_gcdspell=768,[Lacrer (3 charges)],v_t_needsdebuff=_33745#3^2,v_spellname=33745,b_t_needsdebuff=true,v_actionicon=33745,v_gcdspell=768,[Mutiler],v_spellname=6807,v_actionicon=6807,v_gcdspell=768"
   
   --Hunter
   --Beast mastery specialization
   ROB_HUNTER_BEASTMASTERY    = "RotationBuilder,v1.45,[Matrise des btes V2.00],[Marque du chasseur],v_t_needsdebuff=1130,v_spellname=1130,b_t_needsdebuff=true,v_actionicon=1130,v_gcdspell=1462,[Tir rapide],v_p_needbuff=32182|2825|80353|90355|49016|34471,b_p_needbuff=true,v_spellname=3045,b_rangecheck=false,v_actionicon=3045,v_gcdspell=0,[Ferveur],v_checkothercdvalue=<=3,v_p_unitpowertype=2,b_checkothercd=true,b_p_unitpower=true,v_spellname=82726,v_checkothercdname=19574,v_p_unitpower=<=40,b_rangecheck=false,v_actionicon=82726,v_gcdspell=1462,[Courroux bestial],v_p_unitpowertype=2,b_p_unitpower=true,v_spellname=19574,v_p_unitpower=>80,v_actionicon=19574,v_gcdspell=1462,[Focalisation du feu],v_checkothercdvalue=>15,v_p_needbuff=34471,b_checkothercd=true,v_pet_hasbuff=19615#5,b_p_needbuff=true,v_spellname=82692,v_checkothercdname=19574,b_pet_hasbuff=true,b_rangecheck=false,v_actionicon=82692,v_gcdspell=1462,[Pige explosif],v_spellname=13813,b_toggle=true,b_rangecheck=false,v_actionicon=13813,v_gcdspell=1462,[Flches multiples],v_spellname=2643,b_toggle=true,v_actionicon=2643,v_gcdspell=1462,[Tir du cobra (AOE)],v_spellname=77767,b_toggle=true,v_actionicon=77767,v_gcdspell=1462,[Ordre de tuer],v_spellname=34026,b_rangecheck=false,v_actionicon=34026,v_gcdspell=1462,[Morsure de serpent],v_p_unitpowertype=2,v_t_needsdebuff=_1978,b_p_unitpower=true,v_spellname=1978,b_t_needsdebuff=true,v_p_unitpower=>=25,v_actionicon=1978,v_gcdspell=1462,[Tir mortel],b_t_hp=true,v_spellname=53351,v_t_hp=<=20%,b_breakchanneling=true,v_actionicon=53351,v_gcdspell=1462,[Venin de veuve],v_t_needsdebuff=82654|48301|56112|12294|13218|30213|54680,v_spellname=82654,b_t_needsdebuff=true,v_actionicon=82654,v_gcdspell=1462,[Tir des arcanes],v_p_needbuff=34692,v_p_unitpowertype=2,b_p_unitpower=true,b_p_needbuff=true,v_spellname=3044,v_p_unitpower=>=62,v_actionicon=3044,v_gcdspell=1462,[Tir des arcanes (Bte intrieure)],v_p_unitpowertype=2,b_p_unitpower=true,v_spellname=3044,v_p_unitpower=>=33,v_p_havebuff=34692,b_p_havebuff=true,v_actionicon=3044,v_gcdspell=1462,[Tir du cobra],v_spellname=77767,v_actionicon=77767,v_gcdspell=1462"
   
   --Marksmanship specialization
   ROB_HUNTER_MARKSMANSHIP    = "RotationBuilder,v1.45,[Prcision V2.00],[Marque du chasseur],v_t_needsdebuff=1130,v_spellname=1130,b_t_needsdebuff=true,v_actionicon=1130,v_gcdspell=1462,[Pige explosif],v_spellname=13813,b_toggle=true,b_rangecheck=false,v_actionicon=13813,v_gcdspell=1462,[Tir multiple (Bombardement)],v_spellname=2643,b_toggle=true,v_p_havebuff=82921,b_p_havebuff=true,v_actionicon=2643,v_gcdspell=1462,[Tir multiple],v_spellname=2643,b_toggle=true,v_actionicon=2643,v_gcdspell=1462,[Vise (AOE)],v_spellname=19434,b_toggle=true,v_p_havebuff=82926,b_p_havebuff=true,v_actionicon=19434,v_gcdspell=1462,[Tir mortel (AOE)],b_t_hp=true,v_spellname=53351,b_toggle=true,v_t_hp=<=20%,b_breakchanneling=true,v_actionicon=53351,v_gcdspell=1462,[Tir assur (TAA) (AOE)],b_maxcasts=true,v_p_needbuff=53220,b_p_needbuff=true,v_spellname=56641,b_toggle=true,v_maxcasts=2,b_breakchanneling=true,v_actionicon=56641,v_gcdspell=1462,[Tir assur (AOE)],v_spellname=56641,b_toggle=true,v_actionicon=56641,v_gcdspell=1462,[Morsure du serpent],v_p_unitpowertype=2,v_t_needsdebuff=_1978,b_p_unitpower=true,v_spellname=1978,b_t_needsdebuff=true,v_p_unitpower=>=25,v_actionicon=1978,v_gcdspell=1462,[Tir de la chimre],v_t_needsdebuff=88691|_1978^3,v_spellname=53209,b_t_needsdebuff=true,v_actionicon=53209,v_gcdspell=1462,[Vise],v_spellname=19434,v_p_havebuff=82926,b_p_havebuff=true,v_actionicon=19434,v_gcdspell=1462,[Tir assur (Tir assur amlior)],b_maxcasts=true,v_p_needbuff=53220,b_p_needbuff=true,v_spellname=56641,v_maxcasts=2,b_breakchanneling=true,v_actionicon=56641,v_gcdspell=1462,[Tir mortel],b_t_hp=true,v_spellname=53351,v_t_hp=<=20%,b_breakchanneling=true,v_actionicon=53351,v_gcdspell=1462,[Venin de veuve],v_t_needsdebuff=82654|48301|56112|12294|13218|30213|54680,v_spellname=82654,b_t_needsdebuff=true,v_actionicon=82654,v_gcdspell=1462,[Tir rapide],v_p_needbuff=32182|2825|80353|90355|49016|34471,b_p_needbuff=true,v_spellname=3045,b_rangecheck=false,v_actionicon=3045,v_gcdspell=0,[Promptitude],v_spellname=23989,v_p_havebuff=3045,b_rangecheck=false,b_p_havebuff=true,v_actionicon=23989,v_gcdspell=1462,[Tir des arcanes],v_spellname=3044,v_actionicon=3044,v_gcdspell=1462,[Tir assur (Recharge)],b_maxcasts=true,v_p_needbuff=53220^3.5,b_p_needbuff=true,v_spellname=56641,v_maxcasts=2,b_breakchanneling=true,v_actionicon=56641,v_gcdspell=1462,[Ordre de tuer],v_spellname=34026,v_p_havebuff=82897,b_rangecheck=false,b_p_havebuff=true,v_actionicon=34026,v_gcdspell=1462,[Tir assur],v_spellname=56641,v_actionicon=56641,v_gcdspell=1462"
   
   --Survival specialization
   ROB_HUNTER_SURVIVAL        = "RotationBuilder,v1.45,[Survie V2.00],[Marque du chasseur],v_t_needsdebuff=1130,v_spellname=1130,b_t_needsdebuff=true,v_actionicon=1130,v_gcdspell=1462,[Tir rapide],v_p_needbuff=32182|2825|80353|90355|49016|34471,b_p_needbuff=true,v_spellname=3045,b_rangecheck=false,v_actionicon=3045,v_gcdspell=0,[Pige explosif],v_spellname=13813,b_toggle=true,b_rangecheck=false,v_actionicon=13813,v_gcdspell=1462,[Tir multiple],v_spellname=2643,b_toggle=true,v_actionicon=2643,v_gcdspell=1462,[Tir du cobra (AOE)],v_spellname=77767,b_toggle=true,v_actionicon=77767,v_gcdspell=1462,[Morsure de serpent],v_p_unitpowertype=2,v_t_needsdebuff=_1978,b_p_unitpower=true,v_spellname=1978,b_t_needsdebuff=true,v_p_unitpower=>=25,v_actionicon=1978,v_gcdspell=1462,[Tir explosif],b_maxcasts=true,v_p_unitpowertype=2,b_p_unitpower=true,v_spellname=53301,v_p_unitpower=>=44,v_maxcasts=1,b_breakchanneling=true,v_actionicon=53301,v_gcdspell=1462,[Tir mortel],b_t_hp=true,v_spellname=53351,v_t_hp=<=20%,b_breakchanneling=true,v_actionicon=53351,v_gcdspell=1462,[Flche noire],b_t_hp=true,v_spellname=3674,v_t_hp=>=10%,b_breakchanneling=true,v_actionicon=3674,v_gcdspell=1462,[Pige de glace],v_spellname=13809,b_rangecheck=false,v_actionicon=13809,v_gcdspell=1462,[Tir des arcanes (Prt  tirer)],v_spellname=3044,v_p_havebuff=56453,b_p_havebuff=true,v_actionicon=3044,v_gcdspell=1462,[Venin de veuve],v_t_needsdebuff=82654|48301|56112|12294|13218|30213|54680,v_spellname=82654,b_t_needsdebuff=true,v_actionicon=82654,v_gcdspell=1462,[Tir des arcanes],v_p_unitpowertype=2,b_p_unitpower=true,v_spellname=3044,v_p_unitpower=>=75,v_actionicon=3044,v_gcdspell=1462,[Tir du cobra],v_spellname=77767,v_actionicon=77767,v_gcdspell=1462"
   
   --Mage
   --Arcane specialization
   ROB_MAGE_ARCANE            = "RotationBuilder,v1.45,[Arcane V1.0],[Illumination des Arcanes],v_p_needbuff=79058,b_p_needbuff=true,v_spellname=1459,b_rangecheck=false,v_actionicon=1459,v_gcdspell=475,[Armure du mage],v_p_needbuff=6117,b_p_needbuff=true,v_spellname=6117,b_rangecheck=false,v_actionicon=6117,v_gcdspell=475,[Gemme de mana],b_duration=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=759,v_p_unitpower=<=80%,b_rangecheck=false,v_duration=120,v_actionicon=759,v_gcdspell=0,[Image miroir],b_t_hp=true,v_spellname=55342,v_p_havebuff=12042,b_rangecheck=false,b_p_havebuff=true,v_actionicon=55342,v_gcdspell=475,[Image miroir (Recharge Pouvoir)],v_checkothercdvalue=<35,b_t_hp=true,b_checkothercd=true,v_spellname=55342,v_checkothercdname=12042,b_rangecheck=false,v_actionicon=55342,v_gcdspell=475,[Pouvoir des Arcanes (Boss <10%)],v_checkothercdvalue=<40,b_t_hp=true,b_checkothercd=true,v_spellname=12042,v_checkothercdname=12051,v_t_hp=<=10%,b_breakchanneling=true,b_rangecheck=false,v_actionicon=12042,v_gcdspell=475,[Pouvoir des Arcanes],v_checkothercdvalue=<40,v_p_havedebuff=36032#4,b_p_havedebuff=true,b_checkothercd=true,v_spellname=12042,v_checkothercdname=12051,b_rangecheck=false,v_actionicon=12042,v_gcdspell=475,[Orbe enflamm],b_disabled=true,v_spellname=82731,v_actionicon=82731,v_gcdspell=475,[Prsence spirituelle],v_spellname=12043,v_actionicon=12043,v_gcdspell=475,[Dflagration des Arcanes (Neutre)],v_checkothercdvalue=<40,v_p_unitpowertype=0,b_checkothercd=true,b_p_unitpower=true,v_spellname=30451,v_checkothercdname=12042,v_p_unitpower=>=85%,b_p_needdebuff=true,b_breakchanneling=true,v_p_needdebuff=36032#4,v_actionicon=30451,v_gcdspell=475,[Barrage des Arcanes (Neutre)],v_checkothercdvalue=<40,v_p_unitpowertype=0,v_p_havedebuff=36032#4,b_p_havedebuff=true,b_checkothercd=true,b_p_unitpower=true,v_spellname=44425,v_checkothercdname=12042,v_p_unitpower=>=85%,v_actionicon=44425,v_gcdspell=475,[Projectiles des Arcanes (Neutre)],v_checkothercdvalue=<40,v_p_unitpowertype=0,v_p_havedebuff=36032#4,b_p_havedebuff=true,b_checkothercd=true,b_p_unitpower=true,v_spellname=30451,v_checkothercdname=12042,v_p_unitpower=>=85%,v_actionicon=30451,v_gcdspell=475,[Dflagration des Arcanes (Prsence ou Ides)],v_spellname=30451,v_p_havebuff=12043|12536,b_p_havebuff=true,v_actionicon=30451,v_gcdspell=475,[Dflagration des Arcanes (Boss <10%)],b_t_hp=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=30451,v_p_unitpower=>=5%,v_t_hp=<=10%,b_breakchanneling=true,v_actionicon=30451,v_gcdspell=475,[Dflagration des Arcanes (Pouvoir)],v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=30451,v_p_unitpower=>=35%,v_p_havebuff=12042,b_p_havebuff=true,v_actionicon=30451,v_gcdspell=475,[Dflagration des Arcanes (Burst)],v_checkothercdvalue=<25,v_p_unitpowertype=0,b_checkothercd=true,b_p_unitpower=true,v_spellname=30451,v_checkothercdname=12051,v_p_unitpower=>=35%,v_actionicon=30451,v_gcdspell=475,[Evocation],v_spellname=12051,b_rangecheck=false,v_actionicon=12051,v_gcdspell=475,[Projectiles des Arcanes (Regen)],v_checkothercdvalue=>=20,v_p_unitpowertype=0,b_checkothercd=true,b_p_unitpower=true,v_spellname=5143,v_checkothercdname=12042,v_p_unitpower=<95%,v_p_havebuff=79683,b_p_havebuff=true,v_actionicon=5143,v_gcdspell=475,[Dflagration des Arcanes (Regen)],v_checkothercdvalue=>=20,v_p_unitpowertype=0,b_checkothercd=true,b_p_unitpower=true,v_spellname=30451,v_checkothercdname=12042,v_p_unitpower=<95%,v_actionicon=30451,v_gcdspell=475"
   
   --Fire specialization
   ROB_MAGE_FIRE              = "RotationBuilder,v1.45,[Feu V1.2],[Illumination des Arcanes],v_p_needbuff=79058,b_p_needbuff=true,v_spellname=1459,b_rangecheck=false,v_actionicon=1459,v_gcdspell=475,[Armure de la fournaise],v_p_needbuff=30482,b_p_needbuff=true,v_spellname=30482,b_rangecheck=false,v_actionicon=30482,v_gcdspell=475,[Image miroir],v_spellname=55342,b_rangecheck=false,v_actionicon=55342,v_gcdspell=475,[Evocation],v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=12051,v_p_unitpower=<=35%,b_rangecheck=false,v_actionicon=12051,v_gcdspell=475,[Gemme de mana],b_notaspell=true,b_duration=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=759,v_p_unitpower=<=80%,b_rangecheck=false,v_duration=120,v_actionicon=759,v_gcdspell=475,[Bombre vivante (AOE)],b_maxcasts=true,v_t_needsdebuff=_44457,v_spellname=44457,b_t_needsdebuff=true,b_toggle=true,v_maxcasts=3,b_breakchanneling=true,v_actionicon=44457,v_gcdspell=475,[Vague explosive (AOE)],v_spellname=11113,b_toggle=true,v_actionicon=11113,v_gcdspell=475,[Trait de feu (Impact) (AOE)],v_spellname=2136,b_toggle=true,v_p_havebuff=64343,b_p_havebuff=true,v_actionicon=2136,v_gcdspell=475,[Choc de flammes (AOE)],b_duration=true,v_spellname=2120,b_toggle=true,v_duration=8,v_actionicon=2120,v_gcdspell=475,[Combustion],b_t_hasdebuff=true,v_t_hasdebuff=_11366^2|_12654^1|_44457^2,v_spellname=11129,v_p_havebuff=12654,b_rangecheck=false,b_p_havebuff=true,v_actionicon=11129,v_gcdspell=475,[Brlure (Masse critique)],v_t_needsdebuff=22959^2.5,v_spellname=2948,b_t_needsdebuff=true,v_actionicon=2948,v_gcdspell=475,[Explosion pyrotechnique (Chaleur continue)],v_spellname=11366,v_p_havebuff=48108,b_p_havebuff=true,v_actionicon=11366,v_gcdspell=475,[Trait de feu (Impact)],v_spellname=2136,v_p_havebuff=64343,b_p_havebuff=true,v_actionicon=2136,v_gcdspell=475,[Bombre vivante],v_t_needsdebuff=_44457,v_spellname=44457,b_t_needsdebuff=true,v_actionicon=44457,v_gcdspell=475,[Orbe enflamm],v_spellname=82731,v_actionicon=82731,v_gcdspell=475,[Brlure],b_moving=true,v_spellname=2948,v_actionicon=2948,v_gcdspell=475,[Boule de feu],b_notmoving=true,v_spellname=133,v_actionicon=133,v_gcdspell=475"
   
   --Frost specialization
   ROB_MAGE_FROST             = "RotationBuilder,v1.45,[Givre V2.01],[Illumination des Arcanes],v_p_needbuff=79058|61316,b_p_needbuff=true,v_spellname=1459,b_rangecheck=false,v_actionicon=1459,v_gcdspell=475,[Armure de la fournaise],v_p_needbuff=30482,b_p_needbuff=true,v_spellname=30482,b_rangecheck=false,v_actionicon=30482,v_gcdspell=475,[Barrire de glace],v_p_needbuff=11426,b_p_needbuff=true,v_spellname=11426,b_rangecheck=false,v_actionicon=11426,v_gcdspell=475,[Morsure du froid],v_spellname=11958,v_p_havebuff=32182|2825|80353|90355|10060,b_rangecheck=false,b_p_havebuff=true,v_actionicon=11958,v_gcdspell=475,[Veines glaciales],v_p_needbuff=32182|2825|80353|90355|10060|12472,b_p_needbuff=true,v_spellname=12472,b_rangecheck=false,v_actionicon=12472,v_gcdspell=475,[Image miroir],v_spellname=55342,b_rangecheck=false,v_actionicon=55342,v_gcdspell=475,[Evocation],v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=12051,v_p_unitpower=<=35%,b_rangecheck=false,v_actionicon=12051,v_gcdspell=475,[Gemme de mana],b_notaspell=true,b_duration=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=759,v_p_unitpower=<=80%,b_rangecheck=false,v_duration=120,v_actionicon=759,v_gcdspell=475,[Orbe de givrefeu],v_spellname=92283,v_actionicon=92283,v_gcdspell=475,[Conglation (Gel)],b_t_hasdebuff=true,v_t_hasdebuff=44572|83301|83302|122|33395|55080|83073,v_spellname=44572,v_actionicon=44572,v_gcdspell=475,[Conglation],v_spellname=44572,v_p_havebuff=44544,b_p_havebuff=true,v_actionicon=44572,v_gcdspell=475,[Eclair de givrefeu],v_spellname=44614,v_p_havebuff=57761,b_p_havebuff=true,v_actionicon=44614,v_gcdspell=475,[Javelot de glace (Gel)],b_t_hasdebuff=true,v_t_hasdebuff=44572|83301|83302|122|33395|55080|83073,v_spellname=30455,v_actionicon=30455,v_gcdspell=475,[Javelot de glace],v_spellname=30455,v_p_havebuff=44544,b_p_havebuff=true,v_actionicon=30455,v_gcdspell=475,[Gel],v_checkothercdvalue==0,v_p_needbuff=44544,b_checkothercd=true,b_p_needbuff=true,v_spellname=33395,v_checkothercdname=44572,b_rangecheck=false,v_actionicon=33395,v_gcdspell=475,[Eclair de givre],v_spellname=116,v_actionicon=116,v_gcdspell=475"
   
   --Monk
   --Brewmaster specialization
   ROB_MONK_BREWMASTER        = nil
   
   --Windwalker specialization
   ROB_MONK_WINDWALKER        = nil
   
   --Paladin
   --Protection specialization
   ROB_PALADIN_PROTECTION     = "RotationBuilder,v1.45,[Protection V1.1],[Bndiction des rois],v_p_needbuff=79063|79061|90363,b_p_needbuff=true,v_spellname=20217,b_rangecheck=false,v_actionicon=20217,v_gcdspell=465,[Bndiction de puissance],v_p_needbuff=_79063|79102|30808|53138|19506,b_p_needbuff=true,v_spellname=19740,v_p_havebuff=79063|79061|90363,b_rangecheck=false,b_p_havebuff=true,v_actionicon=19740,v_gcdspell=465,[Aura de dvotion],v_p_needbuff=465|8071,b_p_needbuff=true,v_spellname=465,b_rangecheck=false,v_actionicon=465,v_gcdspell=0,[Aura de concentration],v_p_needbuff=_465|19746|87718,b_p_needbuff=true,v_spellname=19746,v_p_havebuff=465|8071,b_rangecheck=false,b_p_havebuff=true,v_actionicon=19746,v_gcdspell=0,[Aura de rsistance],v_p_needbuff=_465|_19746|19891|79061|79063,b_p_needbuff=true,v_spellname=19891,v_p_havebuff=465|8071|19746|87718,b_rangecheck=false,b_p_havebuff=true,v_actionicon=19891,v_gcdspell=0,[Aura de vindicte],v_p_needbuff=_465|_19746|_19891,b_p_needbuff=true,v_spellname=7294,v_p_havebuff=465|8071|19746|87718|19891|79061|79063,b_rangecheck=false,b_p_havebuff=true,v_actionicon=7294,v_gcdspell=0,[Fureur vertueuse],v_p_needbuff=25780,b_p_needbuff=true,v_spellname=25780,v_actionicon=25780,v_gcdspell=465,[Sceau de clairvoyance],v_p_needbuff=20165,b_p_needbuff=true,v_spellname=20165,b_rangecheck=false,v_actionicon=20165,v_gcdspell=465,[Inquisition],v_p_unitpowertype=9,b_p_unitpower=true,v_spellname=84963,v_p_unitpower==3,b_toggle=true,v_actionicon=84963,v_gcdspell=465,[Marteau du vertueux],v_spellname=53595,b_toggle=true,v_actionicon=53595,v_gcdspell=465,[Bouclier du vengeur (AOE)],v_spellname=31935,b_toggle=true,v_actionicon=31935,v_gcdspell=465,[Consecration],v_spellname=26573,b_toggle=true,b_rangecheck=false,v_actionicon=26573,v_gcdspell=465,[Colre divine],v_spellname=2812,b_toggle=true,b_rangecheck=false,v_actionicon=2812,v_gcdspell=465,[Bouclier du vertueux],v_p_unitpowertype=9,b_p_unitpower=true,v_spellname=53600,v_p_unitpower==3,v_actionicon=53600,v_gcdspell=465,[Frappe du crois],v_spellname=35395,v_actionicon=35395,v_gcdspell=465,[Bouclier du vengeur],v_spellname=31935,v_actionicon=31935,v_gcdspell=465,[Marteau de courroux],v_spellname=24275,v_actionicon=24275,v_gcdspell=465,[Jugement],v_spellname=20271,v_actionicon=20271,v_gcdspell=465"
   
   --Retribution specialization
   ROB_PALADIN_RETRIBUTION    = "RotationBuilder,v1.45,[Vindicte V1.1],[Bndiction des rois],v_p_needbuff=79063|79061|90363,b_p_needbuff=true,v_spellname=20217,b_rangecheck=false,v_actionicon=20217,v_gcdspell=465,[Bndiction de puissance],v_p_needbuff=_79063|79102|30808|53138|19506,b_p_needbuff=true,v_spellname=19740,v_p_havebuff=79063|79061|90363,b_rangecheck=false,b_p_havebuff=true,v_actionicon=19740,v_gcdspell=465,[Aura de dvotion],v_p_needbuff=465|8071,b_p_needbuff=true,v_spellname=465,b_rangecheck=false,v_actionicon=465,v_gcdspell=0,[Aura de concentration],v_p_needbuff=_465|19746|87718,b_p_needbuff=true,v_spellname=19746,v_p_havebuff=465|8071,b_rangecheck=false,b_p_havebuff=true,v_actionicon=19746,v_gcdspell=0,[Aura de rsistance],v_p_needbuff=_465|_19746|19891|79061|79063,b_p_needbuff=true,v_spellname=19891,v_p_havebuff=465|8071|19746|87718,b_rangecheck=false,b_p_havebuff=true,v_actionicon=19891,v_gcdspell=0,[Aura de vindicte],v_p_needbuff=_465|_19746|_19891,b_p_needbuff=true,v_spellname=7294,v_p_havebuff=465|8071|19746|87718|19891|79061|79063,b_rangecheck=false,b_p_havebuff=true,v_actionicon=7294,v_gcdspell=0,[Sceau de justice],v_p_needbuff=20164,b_p_needbuff=true,v_spellname=20164,b_toggle=true,b_rangecheck=false,v_actionicon=20164,v_gcdspell=465,[Sceau de vrit],v_p_needbuff=31801,b_p_needbuff=true,v_spellname=31801,b_rangecheck=false,v_actionicon=31801,v_gcdspell=465,[Fanatisme],v_spellname=85696,b_rangecheck=false,v_actionicon=85696,v_gcdspell=465,[Inquisition],v_p_unitpowertype=9,b_p_unitpower=true,v_spellname=84963,v_p_unitpower==3,v_actionicon=84963,v_gcdspell=465,[Tempte divine],v_spellname=53385,b_toggle=true,b_rangecheck=false,v_actionicon=53385,v_gcdspell=465,[Marteau de courroux (AOE)],v_spellname=24275,b_toggle=true,v_actionicon=24275,v_gcdspell=465,[Exorcisme (AOE)],v_spellname=879,b_toggle=true,v_p_havebuff=59578,b_p_havebuff=true,v_actionicon=879,v_gcdspell=465,[Verdict du templier (AOE)],v_spellname=85256,b_toggle=true,v_actionicon=85256,v_gcdspell=465,[Jugement (AOE)],v_spellname=20271,b_toggle=true,v_actionicon=20271,v_gcdspell=465,[Colre divine (AOE)],v_spellname=2812,b_toggle=true,b_rangecheck=false,v_actionicon=2812,v_gcdspell=465,[Conscration (AOE)],v_spellname=26573,b_toggle=true,b_rangecheck=false,v_actionicon=26573,v_gcdspell=465,[Frappe du crois],v_spellname=35395,v_actionicon=35395,v_gcdspell=465,[Marteau de courroux],v_spellname=24275,v_actionicon=24275,v_gcdspell=465,[Exorcisme],v_spellname=879,v_p_havebuff=59578,b_p_havebuff=true,v_actionicon=879,v_gcdspell=465,[Verdict du templier],v_spellname=85256,v_actionicon=85256,v_gcdspell=465,[Jugement],v_spellname=20271,v_actionicon=20271,v_gcdspell=465,[Colre divine],v_spellname=2812,b_rangecheck=false,v_actionicon=2812,v_gcdspell=465,[Conscration],v_spellname=26573,b_rangecheck=false,v_actionicon=26573,v_gcdspell=465"
   
   --Priest
   --Shadow specialization
   ROB_PRIEST_SHADOW          = "RotationBuilder,v1.45,[Ombre V2.00],[Forme d'Ombre],v_p_needbuff=15473,b_p_needbuff=true,v_spellname=15473,b_rangecheck=false,v_actionicon=15473,v_gcdspell=585,[Mot de pouvoir : Robustesse],v_p_needbuff=469|90364|6307|79105,b_p_needbuff=true,v_spellname=21562,b_rangecheck=false,v_actionicon=21562,v_gcdspell=585,[Protection contre l'Ombre],v_p_needbuff=79106|79061|79063|19891,b_p_needbuff=true,v_spellname=27683,b_rangecheck=false,v_actionicon=27683,v_gcdspell=585,[Etreinte vampirique],v_p_needbuff=15286,b_p_needbuff=true,v_spellname=15286,b_rangecheck=false,v_actionicon=15286,v_gcdspell=585,[Volont intrieure],v_p_needbuff=73413,v_p_unitpowertype=0,b_p_unitpower=true,b_p_needbuff=true,v_spellname=73413,v_p_unitpower=<=15%,b_rangecheck=false,v_actionicon=73413,v_gcdspell=585,[Feu intrieur],v_p_needbuff=588,v_p_unitpowertype=>=,b_p_unitpower=true,b_p_needbuff=true,v_spellname=588,v_p_unitpower=60%,b_rangecheck=false,v_actionicon=588,v_gcdspell=585,[Dispersion],v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=47585,v_p_unitpower=<=5%,b_rangecheck=false,v_actionicon=47585,v_gcdspell=585,[Mot de l'ombre : Douleur],v_t_needsdebuff=_589^1.5,v_spellname=589,b_t_needsdebuff=true,v_actionicon=589,v_gcdspell=585,[Attaque mentale (Orbe d'ombre)],v_spellname=8092,v_p_havebuff=77487#1,b_p_havebuff=true,v_actionicon=8092,v_gcdspell=585,[Toucher vampirique],v_t_needsdebuff=_34914^3,v_spellname=34914,b_t_needsdebuff=true,v_actionicon=34914,v_gcdspell=585,[Peste dvorante],v_t_needsdebuff=_2944^1.5,v_spellname=2944,b_t_needsdebuff=true,v_actionicon=2944,v_gcdspell=585,[Incandescence mentale],v_spellname=48045,b_toggle=true,v_actionicon=48045,v_gcdspell=585,[Attaque mentale],v_p_needbuff=77487#1,b_p_needbuff=true,v_spellname=8092,v_actionicon=8092,v_gcdspell=585,[Mot de l'ombre : Mort],v_spellname=32379,v_actionicon=32379,v_gcdspell=585,[Archange],b_t_hasdebuff=true,v_t_hasdebuff=_34914^5&_2944^5,v_spellname=87151,v_p_havebuff=87117#5|87118#5,b_rangecheck=false,b_p_havebuff=true,v_actionicon=87151,v_gcdspell=585,[Ombrefiel],v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=34433,v_p_unitpower=<=80%,b_rangecheck=false,v_actionicon=34433,v_gcdspell=585,[Fouet mental],b_t_hasdebuff=true,v_t_hasdebuff=_34914^3&_2944^1.5&_589^1.5,v_spellname=15407,v_actionicon=15407,v_gcdspell=585"
   
   --Rogue
   --Assassination specialization
   ROB_ROGUE_ASSASSINATION    = "RotationBuilder,v1.48,[Assassinat 5.0.1],[Ficelles du mtier],v_checkothercdvalue=<2,b_checkothercd=true,b_f_pc=true,v_spellname=57934,v_checkothercdname=57934,b_f_needsbuff=true,v_f_needsbuff=_57934,b_rangecheck=false,v_actionicon=57934,[Vendetta],v_checkothercdvalue=<2,b_checkothercd=true,v_spellname=79140,v_checkothercdname=79140,v_p_havebuff=_5171,b_rangecheck=false,b_p_havebuff=true,v_actionicon=79140,[Dbiter],v_p_combopoints=>=1,v_p_needbuff=_5171^3,b_p_combopoints=true,b_p_needbuff=true,v_spellname=5171,b_rangecheck=false,v_actionicon=5171,v_gcdspell=5938,[Rupture],v_p_combopoints=>=4,b_p_combopoints=true,v_t_needsdebuff=_1943^5,v_spellname=1943,b_t_needsdebuff=true,v_actionicon=1943,v_gcdspell=5938,[Exposer l'armure],v_t_needsdebuff=113746#3^5,v_spellname=8647,b_t_needsdebuff=true,b_gcombopoints=true,v_actionicon=8647,v_gcombopoints=1,v_gcdspell=5938,[Envenimer (<35%)],b_t_hp=true,v_p_combopoints==5,b_p_combopoints=true,v_spellname=32645,v_t_hp=<35%,b_rangecheck=false,v_actionicon=32645,v_gcdspell=5938,[Couperet (Angle mort)],v_p_combopoints=<5,b_p_combopoints=true,v_spellname=111240,b_gcombopoints=true,v_p_havebuff=121153,b_rangecheck=false,b_p_havebuff=true,v_actionicon=111240,v_gcombopoints=1,v_gcdspell=5938,[Envenimer],b_t_hp=true,v_p_combopoints=>=4,b_p_combopoints=true,v_spellname=32645,v_t_hp=>=35%,b_rangecheck=false,v_actionicon=32645,v_gcdspell=5938,[Couperet],b_t_hp=true,v_spellname=111240,v_t_hp=<35%,b_gcombopoints=true,b_rangecheck=false,v_actionicon=111240,v_gcombopoints=1,v_gcdspell=5938,[Estropier],b_t_hp=true,v_spellname=1329,v_t_hp=>=35%,b_gcombopoints=true,v_actionicon=1329,v_gcombopoints=2,[Lancer mortel],v_p_combopoints==5,b_p_combopoints=true,v_spellname=26679,v_actionicon=26679,v_gcdspell=5938,[Lancer de shuriken],v_spellname=114014,b_gcombopoints=true,v_actionicon=114014,v_gcombopoints=1,v_gcdspell=5938"
   
   --Combat specialization
   ROB_ROGUE_COMBAT           = "RotationBuilder,v1.48,[Combat 5.0.1],[Ficelles du mtier],v_checkothercdvalue=<2,b_checkothercd=true,b_f_pc=true,v_spellname=57934,v_checkothercdname=57934,b_f_needsbuff=true,v_f_needsbuff=_57934,b_rangecheck=false,v_actionicon=57934,[Pousse d'adrnaline],v_checkothercdvalue=<2,b_checkothercd=true,v_spellname=13750,v_checkothercdname=13750,b_rangecheck=false,v_actionicon=13750,[Srie meurtrire],v_checkothercdvalue=<2,v_p_needbuff=_13750,b_checkothercd=true,b_p_needbuff=true,v_spellname=51690,v_checkothercdname=51690,v_p_havebuff=_84747,b_rangecheck=false,b_p_havebuff=true,v_actionicon=51690,[Eviscration],v_p_combopoints==5,b_p_combopoints=true,v_spellname=2098,v_actionicon=2098,v_gcdspell=5938,[Dbiter],v_p_combopoints=>=1,v_p_needbuff=_5171^2,b_p_needbuff=true,v_spellname=5171,b_rangecheck=false,v_actionicon=5171,v_gcdspell=5938,[Exposer l'armure],v_t_needsdebuff=113746#3^5,v_spellname=8647,b_t_needsdebuff=true,b_gcombopoints=true,v_actionicon=8647,v_gcombopoints=1,v_gcdspell=5938,[Frappe rvlatrice],v_t_needsdebuff=_84617^3,v_spellname=84617,b_t_needsdebuff=true,b_gcombopoints=true,v_actionicon=84617,v_gcombopoints=1,v_gcdspell=5938,[Attaque pernicieuse],v_spellname=1752,b_gcombopoints=true,v_actionicon=1752,v_gcombopoints=1,v_gcdspell=5938,[Lancer mortel],v_p_combopoints==5,b_p_combopoints=true,v_spellname=26679,v_actionicon=26679,v_gcdspell=5938,[Lancer de shuriken],v_spellname=114014,b_gcombopoints=true,v_actionicon=114014,v_gcombopoints=1,v_gcdspell=5938"
   
   --Subtlety specialization
   ROB_ROGUE_SUBTLETY         = "RotationBuilder,v1.48,[Finesse 5.0.1],[Ficelles du mtier],v_checkothercdvalue=<2,b_checkothercd=true,b_f_pc=true,v_spellname=57934,v_checkothercdname=57934,b_f_needsbuff=true,v_f_needsbuff=_57934,b_rangecheck=false,v_actionicon=57934,[Embuscade],v_spellname=8676,b_p_stance=true,v_p_stance=1,b_gcombopoints=true,v_actionicon=8676,v_gcombopoints=2,v_gcdspell=5938,[Rupture],v_p_combopoints==5,b_p_combopoints=true,v_t_needsdebuff=_1943^5,v_spellname=1943,b_t_needsdebuff=true,v_actionicon=1943,v_gcdspell=5938,[Danse de l'ombre],v_checkothercdvalue=<3,b_checkothercd=true,v_spellname=51713,v_checkothercdname=51713,b_rangecheck=false,v_actionicon=51713,[Eviscration],v_p_combopoints==5,b_p_combopoints=true,v_spellname=2098,v_actionicon=2098,v_gcdspell=5938,[Dbiter],v_p_combopoints=>=1,v_p_needbuff=_5171^3,b_p_needbuff=true,v_spellname=5171,b_rangecheck=false,v_actionicon=5171,v_gcdspell=5938,[Embuscade (DdlO)],v_spellname=8676,b_p_stance=true,v_p_stance=3,b_gcombopoints=true,v_actionicon=8676,v_gcombopoints=2,v_gcdspell=5938,[Exposer l'armure],v_t_needsdebuff=113746#3^5,v_spellname=8647,b_t_needsdebuff=true,b_gcombopoints=true,v_actionicon=8647,v_gcombopoints=1,v_gcdspell=5938,[Attaque Sournoise],v_spellname=53,b_gcombopoints=true,v_actionicon=53,v_gcombopoints=1,v_gcdspell=5938,[Hmorragie],v_spellname=16511,b_gcombopoints=true,v_actionicon=16511,v_gcombopoints=1,v_gcdspell=5938,[Lancer mortel],v_p_combopoints==5,b_p_combopoints=true,v_spellname=26679,v_actionicon=26679,v_gcdspell=5938,[Lancer de shuriken],v_spellname=114014,b_gcombopoints=true,v_actionicon=114014,v_gcombopoints=1,v_gcdspell=5938"
   
   --Shaman
   --Elemental specialization
   ROB_SHAMAN_ELEMENTAL       = "RotationBuilder,v1.48,[Elemental 5.0.1],[Lightning shield (Out of combat)],v_p_needbuff=_324^600,b_p_needbuff=true,v_spellname=324,b_p_ooc=true,b_rangecheck=false,v_actionicon=324,v_gcdspell=324,[Searing totem],b_p_firetoteminactive=true,v_p_firetotemtimeleft==0,v_spellname=3599,b_p_firetotemtimeleft=true,b_rangecheck=false,v_p_firetoteminactive=3599,v_actionicon=3599,v_gcdspell=3599,[Elemental mastery],v_spellname=16166,b_rangecheck=false,v_actionicon=16166,b_t_boss=true,v_gcdspell=0,[Ascendance],v_spellname=114049,v_p_havebuff=_16166,b_rangecheck=false,b_p_havebuff=true,v_actionicon=114049,b_t_boss=true,v_gcdspell=0,[Unleash elements (Elemental blast)],v_checkothercdvalue=<=2,v_p_knowspell=117014,b_checkothercd=true,v_spellname=73680,v_checkothercdname=117014,b_p_knowspell=true,v_actionicon=73680,v_gcdspell=324,[Elemental blast],v_spellname=117014,v_p_havebuff=_73683,b_p_havebuff=true,v_actionicon=117014,v_gcdspell=324,[Fire shock],v_t_needsdebuff=_8050^3,v_spellname=8050,b_t_needsdebuff=true,v_actionicon=8050,v_gcdspell=324,[Earth shock (Shield X7)],v_spellname=8042,v_p_havebuff=_324#7,b_p_havebuff=true,v_actionicon=8042,v_gcdspell=324,[Lava burst],b_t_hasdebuff=true,v_t_hasdebuff=_8050^3,v_spellname=51505,v_actionicon=51505,v_gcdspell=324,[Unleash elements],v_spellname=73680,v_actionicon=73680,v_gcdspell=324,[Earth elemental],v_spellname=2062,b_rangecheck=false,v_actionicon=2062,b_t_boss=true,v_gcdspell=3599,[Fire elemental],v_spellname=2894,b_rangecheck=false,v_actionicon=2894,b_t_boss=true,v_gcdspell=3599,[Searing totem (Refresh)],v_p_firetotemtimeleft=<=5,v_spellname=3599,b_p_firetotemtimeleft=true,b_t_dr=true,b_rangecheck=false,v_p_firetotemactive=3599,b_p_firetotemactive=true,v_actionicon=3599,v_gcdspell=3599,[Thunderstorm (Mana)],v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=51490,v_p_unitpower=<75%,b_rangecheck=false,v_actionicon=51490,v_gcdspell=324,[Eclair],v_spellname=403,v_actionicon=403,v_gcdspell=324"
   
   --Enhancement specialization
   ROB_SHAMAN_ENHANCEMENT     = "RotationBuilder,v1.48,[Enhancement 5.0.1],[Lightning shield (Out of combat)],v_p_needbuff=_324^600,b_p_needbuff=true,v_spellname=324,b_p_ooc=true,b_rangecheck=false,v_actionicon=324,v_gcdspell=324,[Elemental mastery],v_spellname=16166,b_rangecheck=false,v_actionicon=16166,b_t_boss=true,v_gcdspell=0,[Fire elemental],v_spellname=2894,b_t_dr=true,v_p_havebuff=32182|2825|90355|80353,b_rangecheck=false,b_p_havebuff=true,v_actionicon=2894,b_t_boss=true,v_gcdspell=3599,[Ascendance],v_spellname=114049,v_p_havebuff=_16166,b_rangecheck=false,b_p_havebuff=true,v_actionicon=114049,b_t_boss=true,v_gcdspell=0,[Searing totem],b_p_firetoteminactive=true,v_p_firetotemtimeleft==0,v_spellname=3599,b_p_firetotemtimeleft=true,b_t_dr=true,b_rangecheck=false,v_p_firetoteminactive=3599,v_actionicon=3599,v_gcdspell=3599,[Unleash elements (Unleashed fury)],v_p_knowspell=117012,v_spellname=73680,b_p_knowspell=true,v_actionicon=73680,v_gcdspell=324,[Elemental blast],v_spellname=117014,v_actionicon=117014,v_gcdspell=324,[Lightning bolt (Maelstrom X5)],v_spellname=403,v_p_havebuff=_53817#5,b_p_havebuff=true,v_actionicon=403,v_gcdspell=324,[Stormblast (Ascendance)],v_spellname=115356,v_actionicon=115356,v_gcdspell=324,[Stormstrike],v_spellname=17364,v_rangespell=60103,v_actionicon=17364,v_gcdspell=324,[Lava lash],v_spellname=60103,v_p_havebuff=_77661#5,b_p_havebuff=true,v_actionicon=60103,v_gcdspell=324,[Unleash elements],v_spellname=73680,v_actionicon=73680,v_gcdspell=324,[Lightning bolt (Mael X3 + Unleashed fury)],v_p_knowspell=117012,v_p_needbuff=_114051,b_t_hasbuff=true,b_p_needbuff=true,v_spellname=403,b_p_knowspell=true,v_t_hasbuff=_118470,v_p_havebuff=_53817#3|_53817#4,b_p_havebuff=true,v_actionicon=403,v_gcdspell=324,[Ancestral swiftness],v_p_needbuff=_53817#2|_53817#3|53817#4|_53817#5,b_p_needbuff=true,v_spellname=16188,b_rangecheck=false,v_actionicon=16188,v_gcdspell=0,[Lightning bolt (Ancestral swiftness)],v_spellname=403,v_p_havebuff=_16188,b_p_havebuff=true,v_actionicon=403,v_gcdspell=324,[Fire shock (Unleash fire)],v_t_needsdebuff=_8050,v_spellname=8050,b_t_needsdebuff=true,v_p_havebuff=_73683,b_p_havebuff=true,v_actionicon=8050,v_gcdspell=324,[Earth shock],v_spellname=8042,v_actionicon=8042,v_gcdspell=324,[Feral spirit],v_spellname=51533,b_rangecheck=false,v_actionicon=51533,b_t_boss=true,v_gcdspell=324,[Earth elemental],v_spellname=2062,b_t_dr=true,b_rangecheck=false,v_actionicon=2062,b_t_boss=true,v_gcdspell=3599,[Spiritwalker's grace],b_moving=true,v_spellname=79206,b_rangecheck=false,v_actionicon=79206,v_gcdspell=0,[Lightning bolt (Mael X1 + Grace)],v_checkothercdvalue=>=3,v_p_needbuff=_114051,b_checkothercd=true,b_p_needbuff=true,v_spellname=403,v_checkothercdname=17364,v_p_havebuff=_53817#1,b_p_havebuff=true,v_actionicon=403,v_gcdspell=324"
   
   --Warlock
   --Affliction specialization
   ROB_WARLOCK_AFFLICTION     = "RotationBuilder,v1.45,[Affliction V2.01],[Connexion (Mouvement)],b_p_hp=true,b_duration=true,b_moving=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=1454,v_p_unitpower=<80%,b_rangecheck=false,v_p_hp=>=80%,v_duration=2,v_actionicon=1454,v_gcdspell=687,[Connexion (Mana)],b_p_hp=true,b_duration=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=1454,v_p_unitpower=<20%,b_rangecheck=false,v_p_hp=>=80%,v_duration=2,v_actionicon=1454,v_gcdspell=687,[Gangrarmure],v_p_needbuff=28176,b_p_needbuff=true,v_spellname=28176,b_rangecheck=false,v_actionicon=28176,v_gcdspell=687,[Sombre intention],v_p_needbuff=_80398,b_p_needbuff=true,v_spellname=80398,b_rangecheck=false,v_actionicon=80398,v_gcdspell=687,[Lien spirituel],v_p_needbuff=25228,b_p_needbuff=true,v_spellname=19028,b_rangecheck=false,v_actionicon=19028,v_gcdspell=768,[Infernal],v_spellname=1122,b_toggle=true,v_p_havebuff=32182|2825|80353|90355|10060,b_rangecheck=false,b_p_havebuff=true,v_actionicon=1122,v_gcdspell=687,[Garde funeste],v_spellname=18540,v_p_havebuff=32182|2825|80353|90355|10060,b_rangecheck=false,b_p_havebuff=true,v_actionicon=18540,v_gcdspell=687,[Maldiction des lments],v_t_needsdebuff=1490|93068|60433|65142|24844|34889,v_spellname=1490,b_t_needsdebuff=true,v_actionicon=1490,v_gcdspell=687,[Maldiction de faiblesse],b_t_hasdebuff=true,v_t_hasdebuff=1490|93068|60433|65142|24844|34889,v_t_needsdebuff=_1490|1160|26017|99|50256|81130|702|24423,v_spellname=702,b_t_needsdebuff=true,v_actionicon=702,v_gcdspell=687,[Ame du dmon],v_spellname=77801,b_rangecheck=false,v_actionicon=77801,v_gcdspell=687,[Maldiction des langages],b_t_hasdebuff=true,v_t_hasdebuff=1490|93068|60433|65142|241490|93068|60433|65142|24844|34889|1160|26017|99|50256|81130|702|24423,v_t_needsdebuff=_1490|_702|31589|5760|50274|73975|1714,v_spellname=1714,b_t_needsdebuff=true,v_actionicon=1714,v_gcdspell=687,[Brlure d'me],v_p_unitpowertype=7,b_p_unitpower=true,v_spellname=74434,v_p_unitpower=>0,b_toggle=true,b_rangecheck=false,v_actionicon=74434,v_gcdspell=687,[Graine de Corruption],v_spellname=27243,b_toggle=true,v_actionicon=27243,v_gcdspell=387,[Corruption],v_t_needsdebuff=_172^3,v_spellname=172,b_t_needsdebuff=true,v_actionicon=172,v_gcdspell=687,[Affliction instable],v_t_needsdebuff=_30108^3,v_spellname=30108,b_t_needsdebuff=true,v_actionicon=30108,v_gcdspell=687,[Plaie funeste],v_t_needsdebuff=_603^3,v_spellname=603,b_t_needsdebuff=true,v_actionicon=603,v_gcdspell=687,[Hanter],v_spellname=48181,v_actionicon=48181,v_gcdspell=687,[Drain d'me],b_t_hp=true,v_spellname=1120,v_t_hp=<=25%,b_breakchanneling=true,v_actionicon=1120,v_gcdspell=687,[Ombreflamme],v_spellname=47897,b_t_dr=true,b_rangecheck=false,v_actionicon=47897,v_gcdspell=687,[Trait de l'ombre],v_spellname=686,v_actionicon=686,v_gcdspell=687"
   
   --Demonology specialization
   ROB_WARLOCK_DEMONOLOGY     = "RotationBuilder,v1.45,[Dmonologie V2.01],[Connexion (Mouvement)],b_p_hp=true,b_duration=true,b_moving=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=1454,v_p_unitpower=<80%,b_rangecheck=false,v_p_hp=>=80%,v_duration=2,v_actionicon=1454,v_gcdspell=687,[Connexion (Mana)],b_p_hp=true,b_duration=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=1454,v_p_unitpower=<20%,b_rangecheck=false,v_p_hp=>=80%,v_duration=2,v_actionicon=1454,v_gcdspell=687,[Gangrarmure],v_p_needbuff=28176,b_p_needbuff=true,v_spellname=28176,b_rangecheck=false,v_actionicon=28176,v_gcdspell=687,[Sombre intention],v_p_needbuff=_80398,b_p_needbuff=true,v_spellname=80398,b_rangecheck=false,v_actionicon=80398,v_gcdspell=687,[Lien spirituel],v_p_needbuff=25228,b_p_needbuff=true,v_spellname=19028,b_rangecheck=false,v_actionicon=19028,v_gcdspell=768,[Infernal],v_spellname=1122,b_toggle=true,v_p_havebuff=32182|2825|80353|90355|10060,b_rangecheck=false,b_p_havebuff=true,v_actionicon=1122,v_gcdspell=687,[Garde funeste],v_spellname=18540,v_p_havebuff=32182|2825|80353|90355|10060,b_rangecheck=false,b_p_havebuff=true,v_actionicon=18540,v_gcdspell=687,[Maldiction des lments],v_t_needsdebuff=1490|93068|60433|65142|24844|34889,v_spellname=1490,b_t_needsdebuff=true,v_actionicon=1490,v_gcdspell=687,[Maldiction de faiblesse],b_t_hasdebuff=true,v_t_hasdebuff=1490|93068|60433|65142|24844|34889,v_t_needsdebuff=_1490|1160|26017|99|50256|81130|702|24423,v_spellname=702,b_t_needsdebuff=true,v_actionicon=702,v_gcdspell=687,[Mtamorphose],v_spellname=47241,b_rangecheck=false,v_actionicon=47241,v_gcdspell=687,[Ame du dmon(Gangregarde)],v_spellname=77801,b_toggle=true,b_rangecheck=false,v_actionicon=77801,v_gcdspell=687,[Maldiction des langages],b_t_hasdebuff=true,v_t_hasdebuff=1490|93068|60433|65142|241490|93068|60433|65142|24844|34889|1160|26017|99|50256|81130|702|24423,v_t_needsdebuff=_1490|_702|31589|5760|50274|73975|1714,v_spellname=1714,b_t_needsdebuff=true,v_actionicon=1714,v_gcdspell=687,[Gangreflamme],b_moving=true,v_spellname=77799,v_actionicon=77799,v_gcdspell=687,[Gangrorage],v_spellname=89751,b_toggle=true,b_rangecheck=false,v_actionicon=89751,v_gcdspell=687,[Flammes infernales],v_spellname=1949,b_toggle=true,b_t_dr=true,b_rangecheck=false,v_actionicon=1949,v_gcdspell=687,[Pluie de feu],v_spellname=5740,b_toggle=true,b_rangecheck=false,v_actionicon=5740,v_gcdspell=687,[Immolation],v_t_needsdebuff=_348^3,v_spellname=348,b_t_needsdebuff=true,v_actionicon=348,v_gcdspell=687,[Main de Gul'dan],v_spellname=71521,v_actionicon=71521,v_gcdspell=687,[Ame du dmon (Chasseur corrompu)],v_spellname=77801,b_rangecheck=false,v_actionicon=77801,v_gcdspell=687,[Plaie funeste],v_t_needsdebuff=_603^3,v_spellname=603,b_t_needsdebuff=true,v_actionicon=603,v_gcdspell=687,[Aura d'immolation],v_spellname=50589,b_t_dr=true,v_p_havebuff=47241,b_rangecheck=false,b_p_havebuff=true,v_actionicon=50589,v_gcdspell=687,[Corruption],v_t_needsdebuff=_172^3,v_spellname=172,b_t_needsdebuff=true,v_actionicon=172,v_gcdspell=687,[Ombreflamme],v_spellname=47897,b_t_dr=true,b_rangecheck=false,v_actionicon=47897,v_gcdspell=687,[Incinrer],v_spellname=29722,v_p_havebuff=47383|71162|71165,b_p_havebuff=true,v_actionicon=29722,v_gcdspell=687,[Feu de l'me],v_spellname=6353,v_p_havebuff=63165|63167,b_p_havebuff=true,v_actionicon=6353,v_gcdspell=687,[Trait de l'ombre],v_spellname=686,v_actionicon=686,v_gcdspell=687"
   
   --Destruction specialization
   ROB_WARLOCK_DESTRUCTION    = "RotationBuilder,v1.45,[Destruction V2.01],[Connexion (Mouvement)],b_p_hp=true,b_duration=true,b_moving=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=1454,v_p_unitpower=<80%,b_rangecheck=false,v_p_hp=>=80%,v_duration=2,v_actionicon=1454,v_gcdspell=687,[Connexion (Mana)],b_p_hp=true,b_duration=true,v_p_unitpowertype=0,b_p_unitpower=true,v_spellname=1454,v_p_unitpower=<20%,b_rangecheck=false,v_p_hp=>=80%,v_duration=2,v_actionicon=1454,v_gcdspell=687,[Gangrarmure],v_p_needbuff=28176,b_p_needbuff=true,v_spellname=28176,b_rangecheck=false,v_actionicon=28176,v_gcdspell=687,[Sombre intention],v_p_needbuff=_80398,b_p_needbuff=true,v_spellname=80398,b_rangecheck=false,v_actionicon=80398,v_gcdspell=687,[Lien spirituel],v_p_needbuff=25228,b_p_needbuff=true,v_spellname=19028,b_rangecheck=false,v_actionicon=19028,v_gcdspell=768,[Infernal],v_spellname=1122,b_toggle=true,v_p_havebuff=32182|2825|80353|90355|10060,b_rangecheck=false,b_p_havebuff=true,v_actionicon=1122,v_gcdspell=687,[Garde funeste],v_spellname=18540,v_p_havebuff=32182|2825|80353|90355|10060,b_rangecheck=false,b_p_havebuff=true,v_actionicon=18540,v_gcdspell=687,[Maldiction des lments],v_t_needsdebuff=1490|93068|60433|65142|24844|34889,v_spellname=1490,b_t_needsdebuff=true,v_actionicon=1490,v_gcdspell=687,[Maldiction de faiblesse],b_t_hasdebuff=true,v_t_hasdebuff=1490|93068|60433|65142|24844|34889,v_t_needsdebuff=_1490|1160|26017|99|50256|81130|702|24423,v_spellname=702,b_t_needsdebuff=true,v_actionicon=702,v_gcdspell=687,[Brlure d'me],v_p_needbuff=85383^2,v_p_unitpowertype=7,b_p_unitpower=true,b_p_needbuff=true,v_spellname=74434,v_p_unitpower=>0,b_rangecheck=false,v_actionicon=74434,v_gcdspell=687,[Feu de l'me],v_p_needbuff=85383^2,b_p_needbuff=true,v_spellname=6353,v_actionicon=6353,v_gcdspell=687,[Ame du dmon],v_spellname=77801,b_rangecheck=false,v_actionicon=77801,v_gcdspell=687,[Maldiction des langages],b_t_hasdebuff=true,v_t_hasdebuff=1490|93068|60433|65142|241490|93068|60433|65142|24844|34889|1160|26017|99|50256|81130|702|24423,v_t_needsdebuff=_1490|_702|31589|5760|50274|73975|1714,v_spellname=1714,b_t_needsdebuff=true,v_actionicon=1714,v_gcdspell=687,[Plaie de tumulte],b_duration=true,v_spellname=80240,b_toggle=true,v_duration=300,v_actionicon=80240,v_gcdspell=687,[Pluie de feu],v_spellname=5740,b_toggle=true,b_rangecheck=false,v_actionicon=5740,v_gcdspell=687,[Immolation],v_t_needsdebuff=_348^3,v_spellname=348,b_t_needsdebuff=true,v_actionicon=348,v_gcdspell=687,[Conflagration],v_spellname=17962,v_actionicon=17962,v_gcdspell=687,[Plaie funeste],v_t_needsdebuff=_603^3,v_spellname=603,b_t_needsdebuff=true,v_actionicon=603,v_gcdspell=687,[Corruption],v_t_needsdebuff=_172^3,v_spellname=172,b_t_needsdebuff=true,v_actionicon=172,v_gcdspell=687,[Ombreflamme],v_spellname=47897,b_t_dr=true,b_rangecheck=false,v_actionicon=47897,v_gcdspell=687,[Feu de l'me (Diablotin surpuissant)],v_spellname=6353,v_p_havebuff=47283,b_p_havebuff=true,v_actionicon=6353,v_gcdspell=687,[Trait du chaos],v_spellname=50796,v_actionicon=50796,v_gcdspell=687,[Brlure de l'ombre],b_t_hp=true,v_spellname=17877,v_t_hp=<=20%,b_breakchanneling=true,v_actionicon=17877,v_gcdspell=687,[Incinrer],v_spellname=29722,v_actionicon=29722,v_gcdspell=687"
   
   --Warrior
   --Arms specialization
   ROB_WARRIOR_ARMS           = "RotationBuilder,v1.45,[Arme V2.00],[Posture de combat (Berserker)],v_spellname=2457,b_p_stance=true,v_p_stance=3,b_breakchanneling=true,b_rangecheck=false,v_actionicon=2457,v_gcdspell=0,[Posture de combat (Dfensive)],v_spellname=2457,b_p_stance=true,v_p_stance=2,b_breakchanneling=true,b_rangecheck=false,v_actionicon=2457,v_gcdspell=0,[Cri de guerre],v_p_needbuff=6673|8076|93435|57330,b_p_needbuff=true,v_spellname=6673,b_rangecheck=false,v_actionicon=6673,v_gcdspell=0,[Cri de commandement],v_p_needbuff=469|90364|6307|79105,b_p_needbuff=true,v_spellname=469,v_p_havebuff=8076|93435|57330,b_rangecheck=false,b_p_havebuff=true,v_actionicon=469,v_gcdspell=0,[Tmrit],v_spellname=1719,v_p_havebuff=32182|2825|80353|90355|49016,b_rangecheck=false,b_p_havebuff=true,v_actionicon=1719,v_gcdspell=1715,[Lancer fracassant],v_spellname=64382,v_p_havebuff=32182|2825|80353|90355|49016,b_p_havebuff=true,v_actionicon=64382,v_gcdspell=1715,[Calme mortel],v_spellname=85730,b_rangecheck=false,v_actionicon=85730,v_gcdspell=1715,[Rage berserker],v_spellname=18499,b_rangecheck=false,v_actionicon=18499,v_gcdspell=1715,[Attaque circulaire],v_spellname=12328,b_toggle=true,b_rangecheck=false,v_actionicon=12328,v_gcdspell=1715,[Tempte de lames],v_spellname=46924,b_toggle=true,b_rangecheck=false,v_actionicon=46924,v_gcdspell=1715,[Enchanement],v_spellname=845,b_toggle=true,v_actionicon=845,v_gcdspell=1715,[Pourfendre],v_t_needsdebuff=_772,v_spellname=772,b_t_needsdebuff=true,v_actionicon=772,v_gcdspell=1715,[Excution],b_t_hp=true,v_p_needbuff=90806#5^1.5,b_p_needbuff=true,v_spellname=5308,v_t_hp=<=25%,b_breakchanneling=true,v_actionicon=5308,v_gcdspell=1715,[Cri de guerre (Rage)],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=6673,v_p_unitpower=<50,v_p_havebuff=_6673,b_rangecheck=false,b_p_havebuff=true,v_actionicon=6673,v_gcdspell=0,[Cri de commandement (Rage)],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=469,v_p_unitpower=<50,v_p_havebuff=_469,b_rangecheck=false,b_p_havebuff=true,v_actionicon=469,v_gcdspell=0,[Frappe Hroque (Transe)],v_spellname=78,v_p_havebuff=12964,b_p_havebuff=true,v_actionicon=78,v_gcdspell=1715,[Frappe Hroque (Rage > 70)],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=78,v_p_unitpower=>=70,v_actionicon=78,v_gcdspell=1715,[Frappe du colosse],v_spellname=86346,v_actionicon=86346,v_gcdspell=1715,[Frappe mortelle],v_spellname=12294,v_actionicon=12294,v_gcdspell=1715,[Fulgurance],v_spellname=7384,v_p_havebuff=60503,b_p_havebuff=true,v_actionicon=7384,v_gcdspell=1715,[Fracasser armure],v_t_needsdebuff=58567#3^3|95467|95466|91565|8647,v_spellname=7386,b_t_needsdebuff=true,v_actionicon=7386,v_gcdspell=1715,[Cri dmoralisant],v_t_needsdebuff=1160|26017|99|50256|81130|702|24423,v_spellname=1160,b_t_needsdebuff=true,b_rangecheck=false,v_actionicon=1160,v_gcdspell=1715,[Coup de tonnerre],v_t_needsdebuff=6343|58180|8042|54404|90315|55095|51693|68055,v_spellname=6343,b_t_needsdebuff=true,b_rangecheck=false,v_actionicon=6343,v_gcdspell=1715,[Heurtoir],v_checkothercdvalue=>1.5,b_checkothercd=true,v_spellname=1464,v_checkothercdname=12294,v_actionicon=1464,v_gcdspell=1715"
   
   --Fury specialization with one handers
   ROB_WARRIOR_FURY_1_HAND    = "RotationBuilder,v1.45,[Fureur Armes  1 Main V2.00],[Posture berserker (Combat)],v_spellname=2458,b_p_stance=true,v_p_stance=1,b_breakchanneling=true,b_rangecheck=false,v_actionicon=2458,[Posture berserker (Dfensive)],v_spellname=2458,b_p_stance=true,v_p_stance=2,b_breakchanneling=true,b_rangecheck=false,v_actionicon=2458,[Cri de guerre],v_p_needbuff=6673|8076|93435|57330,b_p_needbuff=true,v_spellname=6673,b_rangecheck=false,v_actionicon=6673,v_gcdspell=0,[Cri de commandement],v_p_needbuff=469|90364|6307|79104,b_p_needbuff=true,v_spellname=469,v_p_havebuff=8076|93435|57330,b_rangecheck=false,b_p_havebuff=true,v_actionicon=469,v_gcdspell=0,[Tmrit],v_spellname=1719,v_p_havebuff=32182|2825|80353|90355|49016,b_rangecheck=false,b_p_havebuff=true,v_actionicon=1719,v_gcdspell=1715,[Souhait mortel],v_spellname=12292,v_p_havebuff=32182|2825|80353|90355|49016,b_rangecheck=false,b_p_havebuff=true,v_actionicon=12292,v_gcdspell=1715,[Lancer fracassant],v_spellname=64382,v_p_havebuff=32182|2825|80353|90355|49016,b_p_havebuff=true,v_actionicon=64382,v_gcdspell=1715,[Excution],b_t_hp=true,v_p_needbuff=90806#5^1.5,b_p_needbuff=true,v_spellname=5308,v_t_hp=<=25%,b_breakchanneling=true,v_actionicon=5308,v_gcdspell=1715,[Cri de guerre (Rage)],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=6673,v_p_unitpower=<50,v_p_havebuff=_6673,b_rangecheck=false,b_p_havebuff=true,v_actionicon=6673,v_gcdspell=0,[Cri de commandement (Rage)],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=469,v_p_unitpower=<50,v_p_havebuff=_469,b_rangecheck=false,b_p_havebuff=true,v_actionicon=469,v_gcdspell=0,[Sanguinaire],v_spellname=23881,v_actionicon=23881,v_gcdspell=1715,[Tourbillon],v_spellname=1680,b_toggle=true,b_rangecheck=false,v_actionicon=1680,v_gcdspell=1715,[Frappe du colosse],v_spellname=86346,v_actionicon=86346,v_gcdspell=1715,[Enchanement],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=845,v_p_unitpower=>=90,b_toggle=true,v_actionicon=845,v_gcdspell=1715,[Frappe hroque],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=78,v_p_unitpower=>=90,v_actionicon=78,v_gcdspell=1715,[Heurtoir],v_spellname=1464,v_p_havebuff=46916,b_p_havebuff=true,v_actionicon=1464,v_gcdspell=1715,[Rage berserker],v_checkothercdvalue=<1,v_p_needbuff=18499|14202|49016|12292,b_checkothercd=true,b_p_needbuff=true,v_spellname=18499,v_checkothercdname=85288,b_rangecheck=false,v_actionicon=18499,v_gcdspell=1715,[Coup dchan],v_spellname=85288,v_actionicon=85288,v_gcdspell=1715,[Excution (Recharge)],b_t_hp=true,v_spellname=5308,v_t_hp=<=25%,b_breakchanneling=true,v_actionicon=5308,v_gcdspell=1715,[Fracasser armure],v_t_needsdebuff=58567#3^3|95467|95466|91565|8647,v_spellname=7386,b_t_needsdebuff=true,v_actionicon=7386,v_gcdspell=1715,[Cri dmoralisant],v_t_needsdebuff=1160|26017|99|50256|81130|702|24423,v_spellname=1160,b_t_needsdebuff=true,b_rangecheck=false,v_actionicon=1160,v_gcdspell=1715"
   
   --Fury specialization with two handers
   ROB_WARRIOR_FURY_2_HAND    = "RotationBuilder,v1.45,[Fureur Armes  2 Mains V2.00],[Posture berserker (Combat)],v_spellname=2458,b_p_stance=true,v_p_stance=1,b_breakchanneling=true,b_rangecheck=false,v_actionicon=2458,[Posture berserker (Dfensive)],v_spellname=2458,b_p_stance=true,v_p_stance=2,b_breakchanneling=true,b_rangecheck=false,v_actionicon=2458,[Cri de guerre],v_p_needbuff=6673|8076|93435|57330,b_p_needbuff=true,v_spellname=6673,b_rangecheck=false,v_actionicon=6673,v_gcdspell=0,[Cri de commandement],v_p_needbuff=469|90364|6307|79104,b_p_needbuff=true,v_spellname=469,v_p_havebuff=8076|93435|57330,b_rangecheck=false,b_p_havebuff=true,v_actionicon=469,v_gcdspell=0,[Tmrit],v_spellname=1719,v_p_havebuff=32182|2825|80353|90355|49016,b_rangecheck=false,b_p_havebuff=true,v_actionicon=1719,v_gcdspell=1715,[Souhait mortel],v_spellname=12292,v_p_havebuff=32182|2825|80353|90355|49016,b_rangecheck=false,b_p_havebuff=true,v_actionicon=12292,v_gcdspell=1715,[Lancer fracassant],v_spellname=64382,v_p_havebuff=32182|2825|80353|90355|49016,b_p_havebuff=true,v_actionicon=64382,v_gcdspell=1715,[Excution],b_t_hp=true,v_p_needbuff=90806#5^1.5,b_p_needbuff=true,v_spellname=5308,v_t_hp=<=25%,b_breakchanneling=true,v_actionicon=5308,v_gcdspell=1715,[Cri de guerre (Rage)],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=6673,v_p_unitpower=<50,v_p_havebuff=_6673,b_rangecheck=false,b_p_havebuff=true,v_actionicon=6673,v_gcdspell=0,[Cri de commandement (Rage)],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=469,v_p_unitpower=<50,v_p_havebuff=_469,b_rangecheck=false,b_p_havebuff=true,v_actionicon=469,v_gcdspell=0,[Sanguinaire],v_spellname=23881,v_actionicon=23881,v_gcdspell=1715,[Tourbillon],v_spellname=1680,b_toggle=true,b_rangecheck=false,v_actionicon=1680,v_gcdspell=1715,[Frappe du colosse],v_spellname=86346,v_actionicon=86346,v_gcdspell=1715,[Enchanement],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=845,v_p_unitpower=>=90,b_toggle=true,v_actionicon=845,v_gcdspell=1715,[Frappe hroque],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=78,v_p_unitpower=>=90,v_actionicon=78,v_gcdspell=1715,[Rage berserker],v_checkothercdvalue=<1,v_p_needbuff=18499|14202|49016|12292,b_checkothercd=true,b_p_needbuff=true,v_spellname=18499,v_checkothercdname=85288,b_rangecheck=false,v_actionicon=18499,v_gcdspell=1715,[Coup dchan],v_spellname=85288,v_actionicon=85288,v_gcdspell=1715,[Heurtoir],v_spellname=1464,v_p_havebuff=46916,b_p_havebuff=true,v_actionicon=1464,v_gcdspell=1715,[Excution (Recharge)],b_t_hp=true,v_spellname=5308,v_t_hp=<=25%,b_breakchanneling=true,v_actionicon=5308,v_gcdspell=1715,[Fracasser armure],v_t_needsdebuff=58567#3^3|95467|95466|91565|8647,v_spellname=7386,b_t_needsdebuff=true,v_actionicon=7386,v_gcdspell=1715,[Cri dmoralisant],v_t_needsdebuff=1160|26017|99|50256|81130|702|24423,v_spellname=1160,b_t_needsdebuff=true,b_rangecheck=false,v_actionicon=1160,v_gcdspell=1715"
   
   --Protection specialization
   ROB_WARRIOR_PROTECTION     = "RotationBuilder,v1.45,[Protection V2.00],[Posture dfensive (Combat)],v_spellname=71,b_p_stance=true,v_p_stance=1,b_breakchanneling=true,b_rangecheck=false,v_actionicon=71,[Posture dfensive (Berserker)],v_spellname=71,b_p_stance=true,v_p_stance=3,b_breakchanneling=true,b_rangecheck=false,v_actionicon=71,[Cri de commandement],v_p_needbuff=469|90364|6307|79104,b_p_needbuff=true,v_spellname=469,b_rangecheck=false,v_actionicon=469,v_gcdspell=0,[Cri de commandement (Rage)],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=469,v_p_unitpower=<60,v_p_havebuff=_469,b_rangecheck=false,b_p_havebuff=true,v_actionicon=469,v_gcdspell=0,[Cri de guerre],v_p_needbuff=6673|8076|93435|57330,b_p_needbuff=true,v_spellname=6673,v_p_havebuff=90364|6307|79104,b_rangecheck=false,b_p_havebuff=true,v_actionicon=6673,v_gcdspell=0,[Cri de guerre (Rage)],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=6673,v_p_unitpower=<60,v_p_havebuff=_6673,b_rangecheck=false,b_p_havebuff=true,v_actionicon=6673,v_gcdspell=0,[Lancer fracassant],v_spellname=64382,v_p_havebuff=32182|2825|80353|90355|49016,b_p_havebuff=true,v_actionicon=64382,v_gcdspell=1715,[Enchanement],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=845,v_p_unitpower=>=60,b_toggle=true,v_actionicon=845,v_gcdspell=1715,[Frappe hroque],v_p_unitpowertype=1,b_p_unitpower=true,v_spellname=Frappe hroque,v_p_unitpower=>=60,v_actionicon=78,v_gcdspell=1715,[Pourfendre (AOE)],v_t_needsdebuff=_772^3,v_spellname=772,b_t_needsdebuff=true,b_toggle=true,v_actionicon=772,v_gcdspell=1715,[Coup de tonnerre (AOE)],v_spellname=6343,b_toggle=true,b_rangecheck=false,v_actionicon=6343,v_gcdspell=1715,[Onde de choc],v_spellname=46968,b_toggle=true,b_rangecheck=false,v_actionicon=46968,v_gcdspell=1715,[Revanche (AOE)],v_spellname=6572,b_toggle=true,v_actionicon=6572,v_gcdspell=1715,[Heur de bouclier],v_spellname=23922,v_actionicon=23922,v_gcdspell=1715,[Revanche],v_spellname=6572,v_actionicon=6572,v_gcdspell=1715,[Pourfendre],v_t_needsdebuff=_772^2,v_spellname=772,b_t_needsdebuff=true,v_actionicon=772,v_gcdspell=1715,[Cri dmoralisant],v_t_needsdebuff=1160|26017|99|50256|81130|702|24423,v_spellname=1160,b_t_needsdebuff=true,b_rangecheck=false,v_actionicon=1160,v_gcdspell=1715,[Coup de tonnerre],v_t_needsdebuff=6343|58180|8042|54404|90315|55095|51693|68055,v_spellname=6343,b_t_needsdebuff=true,b_rangecheck=false,v_actionicon=6343,v_gcdspell=1715,[Dvaster],v_spellname=20243,v_actionicon=20243,v_gcdspell=1715"
end